{!Wrapper uses FHIRBase, FHIRBase_Wrapper, FHIRTypes, FHIRTypes_Wrapper, FHIRResources, FHIRResources_Wrapper}
{!ignore ALL_RESOURCE_TYPES}

unit FHIRConstants;

{
  Copyright (c) 2011+, HL7, Inc.
  All rights reserved.
  
  Redistribution and use in source and binary forms, with or without modification, 
  are permitted provided that the following conditions are met:
  
   * Redistributions of source code must retain the above copyright notice, this 
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice, 
     this list of conditions and the following disclaimer in the documentation 
     and/or other materials provided with the distribution.
   * Neither the name of HL7 nor the names of its contributors may be used to 
     endorse or promote products derived from this software without specific 
     prior written permission.
  
  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
  POSSIBILITY OF SUCH DAMAGE.
  
}


{$IFDEF FHIR-DSTU}
This is the dev branch of the FHIR code
{$ENDIF}

interface

// FHIR v1.2.0 generated Fri, Dec 11, 2015 17:38+1100

uses
  SysUtils, Classes, StringSupport, DecimalSupport, AdvBuffers, DateAndTime, FHIRBase, FHIRTypes, FHIRResources;

Const
  CODES_TFhirResourceType : Array[TFhirResourceType] of String = ('', 'Account', 'AllergyIntolerance', 'Appointment', 'AppointmentResponse', 'AuditEvent', 'Basic', 'Binary', 'BodySite', 'Bundle', 'CarePlan', 'Claim', 'ClaimResponse', 'ClinicalImpression', 'Communication', 'CommunicationRequest', 'Composition', 'ConceptMap', 'Condition', 'Conformance', 'Contract', 'Coverage', 'DataElement', 'DecisionSupportRule', 'DecisionSupportServiceModule', 'DetectedIssue', 'Device', 'DeviceComponent', 'DeviceMetric', 'DeviceUseRequest', 'DeviceUseStatement', 'DiagnosticOrder', 'DiagnosticReport', 'DocumentManifest', 'DocumentReference', 'EligibilityRequest', 'EligibilityResponse', 'Encounter', 'EnrollmentRequest', 'EnrollmentResponse', 'EpisodeOfCare', 'ExpansionProfile', 'ExplanationOfBenefit', 'FamilyMemberHistory', 'Flag', 'Goal', 'Group', 'GuidanceResponse', 'HealthcareService', 'ImagingObjectSelection', 'ImagingStudy', 'Immunization', 'ImmunizationRecommendation', 'ImplementationGuide', 'Library', 'List', 'Location', 'Measure', 'Media', 'Medication', 'MedicationAdministration', 'MedicationDispense', 'MedicationOrder', 'MedicationStatement', 'MessageHeader', 'ModuleDefinition', 'ModuleMetadata', 'NamingSystem', 'NutritionOrder', 'Observation', 'OperationDefinition', 'OperationOutcome', 'Order', 'OrderResponse', 'OrderSet', 'Organization', 'Parameters', 'Patient', 'PaymentNotice', 'PaymentReconciliation', 'Person', 'Practitioner', 'Procedure', 'ProcedureRequest', 'ProcessRequest', 'ProcessResponse', 'Provenance', 'Questionnaire', 'QuestionnaireResponse', 'ReferralRequest', 'RelatedPerson', 'RiskAssessment', 'Schedule', 'SearchParameter', 'Sequence', 'Slot', 'Specimen', 'StructureDefinition', 'Subscription', 'Substance', 'SupplyDelivery', 'SupplyRequest', 'TestScript', 'ValueSet', 'VisionPrescription');
  PLURAL_CODES_TFhirResourceType : Array[TFhirResourceType] of String = ('', 'accounts',
     'allergyintolerances',
     'appointments',
     'appointmentresponses',
     'auditevents',
     'basics',
     'binaries',
     'bodysites',
     'bundles',
     'careplans',
     'claims',
     'claimresponses',
     'clinicalimpressions',
     'communications',
     'communicationrequests',
     'compositions',
     'conceptmaps',
     'conditions',
     'conformances',
     'contracts',
     'coverages',
     'dataelements',
     'decisionsupportrules',
     'decisionsupportservicemodules',
     'detectedissues',
     'devices',
     'devicecomponents',
     'devicemetrics',
     'deviceuserequests',
     'deviceusestatements',
     'diagnosticorders',
     'diagnosticreports',
     'documentmanifests',
     'documentreferences',
     'eligibilityrequests',
     'eligibilityresponses',
     'encounters',
     'enrollmentrequests',
     'enrollmentresponses',
     'episodeofcares',
     'expansionprofiles',
     'explanationofbenefits',
     'familymemberhistories',
     'flags',
     'goals',
     'groups',
     'guidanceresponses',
     'healthcareservices',
     'imagingobjectselections',
     'imagingstudies',
     'immunizations',
     'immunizationrecommendations',
     'implementationguides',
     'libraries',
     'lists',
     'locations',
     'measures',
     'media',
     'medications',
     'medicationadministrations',
     'medicationdispenses',
     'medicationorders',
     'medicationstatements',
     'messageheaders',
     'moduledefinitions',
     'modulemetadata',
     'namingsystems',
     'nutritionorders',
     'observations',
     'operationdefinitions',
     'operationoutcomes',
     'orders',
     'orderresponses',
     'ordersets',
     'organizations',
     'parameters',
     'patients',
     'paymentnotices',
     'paymentreconciliations',
     'people',
     'practitioners',
     'procedures',
     'procedurerequests',
     'processrequests',
     'processresponses',
     'provenances',
     'questionnaires',
     'questionnaireresponses',
     'referralrequests',
     'relatedpeople',
     'riskassessments',
     'schedules',
     'searchparameters',
     'sequences',
     'slots',
     'specimen',
     'structuredefinitions',
     'subscriptions',
     'substances',
     'supplydeliveries',
     'supplyrequests',
     'testscripts',
     'valuesets',
     'visionprescriptions');
     
  LOWERCASE_CODES_TFhirResourceType : Array[TFhirResourceType] of String = ('', 'account',
     'allergyintolerance',
     'appointment',
     'appointmentresponse',
     'auditevent',
     'basic',
     'binary',
     'bodysite',
     'bundle',
     'careplan',
     'claim',
     'claimresponse',
     'clinicalimpression',
     'communication',
     'communicationrequest',
     'composition',
     'conceptmap',
     'condition',
     'conformance',
     'contract',
     'coverage',
     'dataelement',
     'decisionsupportrule',
     'decisionsupportservicemodule',
     'detectedissue',
     'device',
     'devicecomponent',
     'devicemetric',
     'deviceuserequest',
     'deviceusestatement',
     'diagnosticorder',
     'diagnosticreport',
     'documentmanifest',
     'documentreference',
     'eligibilityrequest',
     'eligibilityresponse',
     'encounter',
     'enrollmentrequest',
     'enrollmentresponse',
     'episodeofcare',
     'expansionprofile',
     'explanationofbenefit',
     'familymemberhistory',
     'flag',
     'goal',
     'group',
     'guidanceresponse',
     'healthcareservice',
     'imagingobjectselection',
     'imagingstudy',
     'immunization',
     'immunizationrecommendation',
     'implementationguide',
     'library',
     'list',
     'location',
     'measure',
     'media',
     'medication',
     'medicationadministration',
     'medicationdispense',
     'medicationorder',
     'medicationstatement',
     'messageheader',
     'moduledefinition',
     'modulemetadata',
     'namingsystem',
     'nutritionorder',
     'observation',
     'operationdefinition',
     'operationoutcome',
     'order',
     'orderresponse',
     'orderset',
     'organization',
     'parameters',
     'patient',
     'paymentnotice',
     'paymentreconciliation',
     'person',
     'practitioner',
     'procedure',
     'procedurerequest',
     'processrequest',
     'processresponse',
     'provenance',
     'questionnaire',
     'questionnaireresponse',
     'referralrequest',
     'relatedperson',
     'riskassessment',
     'schedule',
     'searchparameter',
     'sequence',
     'slot',
     'specimen',
     'structuredefinition',
     'subscription',
     'substance',
     'supplydelivery',
     'supplyrequest',
     'testscript',
     'valueset',
     'visionprescription');
     
  CLASSES_TFhirResourceType : Array[TFhirResourceType] of TFhirResourceClass = (nil, TFhirAccount,
     TFhirAllergyIntolerance,
     TFhirAppointment,
     TFhirAppointmentResponse,
     TFhirAuditEvent,
     TFhirBasic,
     TFhirBinary,
     TFhirBodySite,
     TFhirBundle,
     TFhirCarePlan,
     TFhirClaim,
     TFhirClaimResponse,
     TFhirClinicalImpression,
     TFhirCommunication,
     TFhirCommunicationRequest,
     TFhirComposition,
     TFhirConceptMap,
     TFhirCondition,
     TFhirConformance,
     TFhirContract,
     TFhirCoverage,
     TFhirDataElement,
     TFhirDecisionSupportRule,
     TFhirDecisionSupportServiceModule,
     TFhirDetectedIssue,
     TFhirDevice,
     TFhirDeviceComponent,
     TFhirDeviceMetric,
     TFhirDeviceUseRequest,
     TFhirDeviceUseStatement,
     TFhirDiagnosticOrder,
     TFhirDiagnosticReport,
     TFhirDocumentManifest,
     TFhirDocumentReference,
     TFhirEligibilityRequest,
     TFhirEligibilityResponse,
     TFhirEncounter,
     TFhirEnrollmentRequest,
     TFhirEnrollmentResponse,
     TFhirEpisodeOfCare,
     TFhirExpansionProfile,
     TFhirExplanationOfBenefit,
     TFhirFamilyMemberHistory,
     TFhirFlag,
     TFhirGoal,
     TFhirGroup,
     TFhirGuidanceResponse,
     TFhirHealthcareService,
     TFhirImagingObjectSelection,
     TFhirImagingStudy,
     TFhirImmunization,
     TFhirImmunizationRecommendation,
     TFhirImplementationGuide,
     TFhirLibrary,
     TFhirList,
     TFhirLocation,
     TFhirMeasure,
     TFhirMedia,
     TFhirMedication,
     TFhirMedicationAdministration,
     TFhirMedicationDispense,
     TFhirMedicationOrder,
     TFhirMedicationStatement,
     TFhirMessageHeader,
     TFhirModuleDefinition,
     TFhirModuleMetadata,
     TFhirNamingSystem,
     TFhirNutritionOrder,
     TFhirObservation,
     TFhirOperationDefinition,
     TFhirOperationOutcome,
     TFhirOrder,
     TFhirOrderResponse,
     TFhirOrderSet,
     TFhirOrganization,
     TFhirParameters,
     TFhirPatient,
     TFhirPaymentNotice,
     TFhirPaymentReconciliation,
     TFhirPerson,
     TFhirPractitioner,
     TFhirProcedure,
     TFhirProcedureRequest,
     TFhirProcessRequest,
     TFhirProcessResponse,
     TFhirProvenance,
     TFhirQuestionnaire,
     TFhirQuestionnaireResponse,
     TFhirReferralRequest,
     TFhirRelatedPerson,
     TFhirRiskAssessment,
     TFhirSchedule,
     TFhirSearchParameter,
     TFhirSequence,
     TFhirSlot,
     TFhirSpecimen,
     TFhirStructureDefinition,
     TFhirSubscription,
     TFhirSubstance,
     TFhirSupplyDelivery,
     TFhirSupplyRequest,
     TFhirTestScript,
     TFhirValueSet,
     TFhirVisionPrescription);
     
  ALL_RESOURCE_TYPES = [frtAccount,
     frtAllergyIntolerance,
     frtAppointment,
     frtAppointmentResponse,
     frtAuditEvent,
     frtBasic,
     frtBinary,
     frtBodySite,
     frtBundle,
     frtCarePlan,
     frtClaim,
     frtClaimResponse,
     frtClinicalImpression,
     frtCommunication,
     frtCommunicationRequest,
     frtComposition,
     frtConceptMap,
     frtCondition,
     frtConformance,
     frtContract,
     frtCoverage,
     frtDataElement,
     frtDecisionSupportRule,
     frtDecisionSupportServiceModule,
     frtDetectedIssue,
     frtDevice,
     frtDeviceComponent,
     frtDeviceMetric,
     frtDeviceUseRequest,
     frtDeviceUseStatement,
     frtDiagnosticOrder,
     frtDiagnosticReport,
     frtDocumentManifest,
     frtDocumentReference,
     frtEligibilityRequest,
     frtEligibilityResponse,
     frtEncounter,
     frtEnrollmentRequest,
     frtEnrollmentResponse,
     frtEpisodeOfCare,
     frtExpansionProfile,
     frtExplanationOfBenefit,
     frtFamilyMemberHistory,
     frtFlag,
     frtGoal,
     frtGroup,
     frtGuidanceResponse,
     frtHealthcareService,
     frtImagingObjectSelection,
     frtImagingStudy,
     frtImmunization,
     frtImmunizationRecommendation,
     frtImplementationGuide,
     frtLibrary,
     frtList,
     frtLocation,
     frtMeasure,
     frtMedia,
     frtMedication,
     frtMedicationAdministration,
     frtMedicationDispense,
     frtMedicationOrder,
     frtMedicationStatement,
     frtMessageHeader,
     frtModuleDefinition,
     frtModuleMetadata,
     frtNamingSystem,
     frtNutritionOrder,
     frtObservation,
     frtOperationDefinition,
     frtOperationOutcome,
     frtOrder,
     frtOrderResponse,
     frtOrderSet,
     frtOrganization,
     frtParameters,
     frtPatient,
     frtPaymentNotice,
     frtPaymentReconciliation,
     frtPerson,
     frtPractitioner,
     frtProcedure,
     frtProcedureRequest,
     frtProcessRequest,
     frtProcessResponse,
     frtProvenance,
     frtQuestionnaire,
     frtQuestionnaireResponse,
     frtReferralRequest,
     frtRelatedPerson,
     frtRiskAssessment,
     frtSchedule,
     frtSearchParameter,
     frtSequence,
     frtSlot,
     frtSpecimen,
     frtStructureDefinition,
     frtSubscription,
     frtSubstance,
     frtSupplyDelivery,
     frtSupplyRequest,
     frtTestScript,
     frtValueSet,
     frtVisionPrescription];
     

  COMPARTMENT_PARAM_NAMES : Array[TFhirResourceType, TFhirResourceType] of String = (('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
     ('', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      ),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', 'subject', '', 'actor', 'actor', 'participant', '', '', '', ''
      , '', '', '', '', 'sender | recipient', 'sender | recipient', 'author', '', '', '', '', '', '', '', '', 'author', '{def}', 'source', 'source', 'device', 'device', 'actor | subject', 'subject', 'subject | author', 'subject | author', '', '', '', '', '', '', ''
      , '', '', 'author', '', 'member', '', '', 'author', '', '', '', '', '', 'subject | source', '', '', 'subject', '', 'device', '', '', '', 'target', '', '', '', '', 'subject | device', '', '', 'target', 'who', '', '', '', '', '', '', '', '', '', 'orderer', ''
      , '', 'agent', '', 'author', '', '', 'performer', 'actor', '', '', '', 'subject', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter'
      , 'encounter', 'encounter', '', 'encounter', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter', 'encounter', '', '', '', '', '{def}', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter', '', 'encounter'
      , '', '', '', '', '', 'encounter', 'encounter', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter', 'encounter', '', '', '', '', 'encounter', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter'),
('', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      ),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', 'subject', 'patient | recorder | reporter', 'actor', 'actor', 'patient | participant.patient | reference.patient', 'patient | author'
      , '', 'patient', '', 'patient | participant | performer', 'patient', '', 'patient', 'subject | sender | recipient', 'subject | sender | recipient | requester', 'subject | author | attester', '', 'patient', '', '', '', '', '', '', 'patient', '', '', '', 'subject'
      , 'subject', 'subject', 'subject', 'subject | author | recipient', 'subject | author', '', '', 'patient', 'subject', '', 'patient', '', '', 'patient', 'patient', 'patient', 'member', '', '', 'patient | author', 'patient', 'patient', 'patient', '', '', 'subject | source'
      , '', '', 'subject', '', 'patient', 'patient', 'patient', 'patient | source', '', '', '', '', 'patient', 'subject | performer', '', '', 'subject', 'request.patient', '', '', '', 'link', '', '', 'patient', '', 'patient | performer', 'subject | orderer | performer'
      , '', '', 'target.subject | target.patient | patient', '', 'subject | author', 'patient | requester', 'patient', 'subject', 'actor', '', '', '', 'subject', '', '', '', 'patient', 'patient', '', '', 'patient'),
('', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', 'subject', 'recorder | reporter', 'actor', 'actor', 'participant', 'author'
      , '', '', '', 'participant | performer', 'provider', '', 'assessor', 'sender | recipient', 'sender | recipient | requester', 'subject | author | attester', '', 'asserter', '', '', '', '', '', '', 'author', '', '', '', '', '', 'actor | orderer', 'performer', 'subject | author | recipient'
      , 'subject | author | authenticator', '', '', 'practitioner | participant', '', '', 'care-manager | team-member', '', '', '', 'author', '', 'member', '', '', 'author', '', 'performer | requester', '', '', '', 'source', '', '', 'subject | operator', '', 'practitioner'
      , 'dispenser | receiver | responsibleparty', 'prescriber', 'source', 'receiver | author | responsible | enterer', '', '', '', 'provider', 'performer', '', '', 'source | target', 'who', '', '', '', 'careprovider', '', '', 'practitioner', '{def}', 'performer'
      , 'performer | orderer', 'provider', 'requestprovider', 'agent', '', 'author | source', 'requester | recipient', '', 'performer', 'actor', '', '', '', 'collector', '', '', '', 'supplier | receiver', '', '', '', 'prescriber'),
('', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''));

  CODES_TSearchParamsAccount : Array[TSearchParamsAccount] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'balance', 'identifier', 'name', 'owner', 'patient', 'period', 'status', 'subject', 'type');
  DESC_TSearchParamsAccount : Array[TSearchParamsAccount] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'How much is in account?',
     'Account number',
     'Human-readable label',
     'Who is responsible?',
     'What is account tied to?',
     'Transaction window',
     'active | inactive',
     'What is account tied to?',
     'E.g. patient, expense, depreciation');
  TYPES_TSearchParamsAccount : Array[TSearchParamsAccount] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeQuantity,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsAccount : Array[TSearchParamsAccount] of TSearchParamsAccount = ( spAccount__content,  spAccount__id,  spAccount__lastUpdated,  spAccount__profile,  spAccount__query,  spAccount__security,  spAccount__tag,  spAccount__text,  spAccount_Balance, 
      //  spAccount_Identifier,  spAccount_Name,  spAccount_Owner,  spAccount_Patient,  spAccount_Period,  spAccount_Status,  spAccount_Subject,  spAccount_Type);
  PATHS_TSearchParamsAccount : Array[TSearchParamsAccount] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'balance: []',
     'identifier: []',
     'name: []',
     'owner: [frtOrganization]',
     'patient: [frtPatient]',
     'period: []',
     'status: []',
     'subject: [frtDevice, frtOrganization, frtHealthcareService, frtLocation, frtPatient, frtPractitioner]',
     'type: []');
  TARGETS_TSearchParamsAccount : Array[TSearchParamsAccount] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [frtPatient], [], [], [frtDevice, frtOrganization, frtHealthcareService, frtLocation, frtPatient, frtPractitioner], []);
  CODES_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'criticality', 'date', 'identifier', 'last-date', 'manifestation', 'onset', 'patient', 'recorder', 'reporter', 'route', 'severity', 'status', 'substance', 'type');
  DESC_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'food | medication | environment | other - Category of Substance',
     'CRITL | CRITH | CRITU',
     'When recorded',
     'External ids for this item',
     'Date(/time) of last known occurrence of a reaction',
     'Clinical symptoms/signs associated with the Event',
     'Date(/time) when manifestations showed',
     'Who the sensitivity is for',
     'Who recorded the sensitivity',
     'Source of the information about the allergy',
     'How the subject was exposed to the substance',
     'mild | moderate | severe (of event as a whole)',
     'active | unconfirmed | confirmed | inactive | resolved | refuted | entered-in-error',
     'Substance, (or class) considered to be responsible for risk',
     'allergy | intolerance - Underlying mechanism (if known)');
  TYPES_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of TSearchParamsAllergyIntolerance = ( spAllergyIntolerance__content,  spAllergyIntolerance__id,  spAllergyIntolerance__lastUpdated,  spAllergyIntolerance__profile,  spAllergyIntolerance__query, 
      //  spAllergyIntolerance__security,  spAllergyIntolerance__tag,  spAllergyIntolerance__text,  spAllergyIntolerance_Category,  spAllergyIntolerance_Criticality,  spAllergyIntolerance_Date,  spAllergyIntolerance_Identifier,  spAllergyIntolerance_Last_date, 
      //  spAllergyIntolerance_Manifestation,  spAllergyIntolerance_Onset,  spAllergyIntolerance_Patient,  spAllergyIntolerance_Recorder,  spAllergyIntolerance_Reporter,  spAllergyIntolerance_Route,  spAllergyIntolerance_Severity,  spAllergyIntolerance_Status, 
      //  spAllergyIntolerance_Substance,  spAllergyIntolerance_Type);
  PATHS_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'criticality: []',
     'date: []',
     'identifier: []',
     'last-date: []',
     'manifestation: []',
     'onset: []',
     'patient: [frtPatient]',
     'recorder: [frtPatient, frtPractitioner]',
     'reporter: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'route: []',
     'severity: []',
     'status: []',
     'substance: []',
     'type: []');
  TARGETS_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtPatient], [frtPatient, frtPractitioner], [frtPatient, frtPractitioner, frtRelatedPerson], [], [], [], [], []);
  CODES_TSearchParamsAppointment : Array[TSearchParamsAppointment] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'actor', 'date', 'identifier', 'location', 'part-status', 'patient', 'practitioner', 'status');
  DESC_TSearchParamsAppointment : Array[TSearchParamsAppointment] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Any one of the individuals participating in the appointment',
     'Appointment date/time.',
     'An Identifier of the Appointment',
     'This location is listed in the participants of the appointment',
     'The Participation status of the subject, or other participant on the appointment. Can be used to locate participants that have not responded to meeting requests.',
     'One of the individuals of the appointment is this patient',
     'One of the individuals of the appointment is this practitioner',
     'The overall status of the appointment');
  TYPES_TSearchParamsAppointment : Array[TSearchParamsAppointment] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsAppointment : Array[TSearchParamsAppointment] of TSearchParamsAppointment = ( spAppointment__content,  spAppointment__id,  spAppointment__lastUpdated,  spAppointment__profile,  spAppointment__query,  spAppointment__security,  spAppointment__tag, 
      //  spAppointment__text,  spAppointment_Actor,  spAppointment_Date,  spAppointment_Identifier,  spAppointment_Location,  spAppointment_Part_status,  spAppointment_Patient,  spAppointment_Practitioner,  spAppointment_Status);
  PATHS_TSearchParamsAppointment : Array[TSearchParamsAppointment] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'actor: [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson]',
     'date: []',
     'identifier: []',
     'location: [frtLocation]',
     'part-status: []',
     'patient: [frtPatient]',
     'practitioner: [frtPractitioner]',
     'status: []');
  TARGETS_TSearchParamsAppointment : Array[TSearchParamsAppointment] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson], [], [], [frtLocation], [], [frtPatient], [frtPractitioner], []);
  CODES_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'actor', 'appointment', 'identifier', 'location', 'part-status', 'patient', 'practitioner');
  DESC_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The Person, Location/HealthcareService or Device that this appointment response replies for',
     'The appointment that the response is attached to',
     'An Identifier in this appointment response',
     'This Response is for this Location',
     'The participants acceptance status for this appointment',
     'This Response is for this Patient',
     'This Response is for this Practitioner');
  TYPES_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of TSearchParamsAppointmentResponse = ( spAppointmentResponse__content,  spAppointmentResponse__id,  spAppointmentResponse__lastUpdated,  spAppointmentResponse__profile, 
      //  spAppointmentResponse__query,  spAppointmentResponse__security,  spAppointmentResponse__tag,  spAppointmentResponse__text,  spAppointmentResponse_Actor,  spAppointmentResponse_Appointment,  spAppointmentResponse_Identifier,  spAppointmentResponse_Location, 
      //  spAppointmentResponse_Part_status,  spAppointmentResponse_Patient,  spAppointmentResponse_Practitioner);
  PATHS_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'actor: [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson]',
     'appointment: [frtAppointment]',
     'identifier: []',
     'location: [frtLocation]',
     'part-status: []',
     'patient: [frtPatient]',
     'practitioner: [frtPractitioner]');
  TARGETS_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson], [frtAppointment], [], [frtLocation], [], [frtPatient], [frtPractitioner]);
  CODES_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'action', 'address', 'altid', 'date', 'desc', 'identity', 'name', 'object-type', 'participant', 'patient', 'policy', 'reference', 'site', 'source', 'subtype', 'type', 'user');
  DESC_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Type of action performed during the event',
     'Identifier for the network access point of the user device',
     'Alternative User id e.g. authentication',
     'Time when the event occurred on source',
     'Instance-specific descriptor for Object',
     'Specific instance of object (e.g. versioned)',
     'Human-meaningful name for the user',
     'Type of object involved',
     'Direct reference to resource',
     'Direct reference to resource',
     'Policy that authorized event',
     'Specific instance of resource (e.g. versioned)',
     'Logical source location within the enterprise',
     'The identity of source detecting the event',
     'More specific type/id for the event',
     'Type/identifier of event',
     'Unique identifier for the user');
  TYPES_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of TSearchParamsAuditEvent = ( spAuditEvent__content,  spAuditEvent__id,  spAuditEvent__lastUpdated,  spAuditEvent__profile,  spAuditEvent__query,  spAuditEvent__security,  spAuditEvent__tag, 
      //  spAuditEvent__text,  spAuditEvent_Action,  spAuditEvent_Address,  spAuditEvent_Altid,  spAuditEvent_Date,  spAuditEvent_Desc,  spAuditEvent_Identity,  spAuditEvent_Name,  spAuditEvent_Object_type,  spAuditEvent_Participant,  spAuditEvent_Patient,  spAuditEvent_Policy, 
      //  spAuditEvent_Reference,  spAuditEvent_Site,  spAuditEvent_Source,  spAuditEvent_Subtype,  spAuditEvent_Type,  spAuditEvent_User);
  PATHS_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'action: []',
     'address: []',
     'altid: []',
     'date: []',
     'desc: []',
     'identity: []',
     'name: []',
     'object-type: []',
     'participant: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'patient: [frtPatient]',
     'policy: []',
     'reference: ALL_RESOURCE_TYPES',
     'site: []',
     'source: []',
     'subtype: []',
     'type: []',
     'user: []');
  TARGETS_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient], [], ALL_RESOURCE_TYPES, [], [], [], [], []);
  CODES_TSearchParamsBasic : Array[TSearchParamsBasic] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'author', 'code', 'created', 'identifier', 'patient', 'subject');
  DESC_TSearchParamsBasic : Array[TSearchParamsBasic] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Who created',
     'Kind of Resource',
     'When created',
     'Business identifier',
     'Identifies the focus of this resource',
     'Identifies the focus of this resource');
  TYPES_TSearchParamsBasic : Array[TSearchParamsBasic] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsBasic : Array[TSearchParamsBasic] of TSearchParamsBasic = ( spBasic__content,  spBasic__id,  spBasic__lastUpdated,  spBasic__profile,  spBasic__query,  spBasic__security,  spBasic__tag,  spBasic__text,  spBasic_Author,  spBasic_Code, 
      //  spBasic_Created,  spBasic_Identifier,  spBasic_Patient,  spBasic_Subject);
  PATHS_TSearchParamsBasic : Array[TSearchParamsBasic] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'author: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'code: []',
     'created: []',
     'identifier: []',
     'patient: [frtPatient]',
     'subject: ALL_RESOURCE_TYPES');
  TARGETS_TSearchParamsBasic : Array[TSearchParamsBasic] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtPatient, frtPractitioner, frtRelatedPerson], [], [], [], [frtPatient], ALL_RESOURCE_TYPES);
  CODES_TSearchParamsBinary : Array[TSearchParamsBinary] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'contenttype');
  DESC_TSearchParamsBinary : Array[TSearchParamsBinary] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'MimeType of the binary content');
  TYPES_TSearchParamsBinary : Array[TSearchParamsBinary] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsBinary : Array[TSearchParamsBinary] of TSearchParamsBinary = ( spBinary__content,  spBinary__id,  spBinary__lastUpdated,  spBinary__profile,  spBinary__query,  spBinary__security,  spBinary__tag,  spBinary__text,  spBinary_Contenttype);
  PATHS_TSearchParamsBinary : Array[TSearchParamsBinary] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'contenttype: []');
  TARGETS_TSearchParamsBinary : Array[TSearchParamsBinary] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsBodySite : Array[TSearchParamsBodySite] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'identifier', 'patient');
  DESC_TSearchParamsBodySite : Array[TSearchParamsBodySite] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Named anatomical location',
     'Identifier for this instance of the anatomical location',
     'Patient to whom bodysite belongs');
  TYPES_TSearchParamsBodySite : Array[TSearchParamsBodySite] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsBodySite : Array[TSearchParamsBodySite] of TSearchParamsBodySite = ( spBodySite__content,  spBodySite__id,  spBodySite__lastUpdated,  spBodySite__profile,  spBodySite__query,  spBodySite__security,  spBodySite__tag,  spBodySite__text, 
      //  spBodySite_Code,  spBodySite_Identifier,  spBodySite_Patient);
  PATHS_TSearchParamsBodySite : Array[TSearchParamsBodySite] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'identifier: []',
     'patient: [frtPatient]');
  TARGETS_TSearchParamsBodySite : Array[TSearchParamsBodySite] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtPatient]);
  CODES_TSearchParamsBundle : Array[TSearchParamsBundle] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'composition', 'message', 'type');
  DESC_TSearchParamsBundle : Array[TSearchParamsBundle] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The first resource in the bundle, if the bundle type is "document" - this is a composition, and this parameter provides access to searches its contents',
     'The first resource in the bundle, if the bundle type is "message" - this is a message header, and this parameter provides access to search its contents',
     'document | message | transaction | transaction-response | batch | batch-response | history | searchset | collection');
  TYPES_TSearchParamsBundle : Array[TSearchParamsBundle] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsBundle : Array[TSearchParamsBundle] of TSearchParamsBundle = ( spBundle__content,  spBundle__id,  spBundle__lastUpdated,  spBundle__profile,  spBundle__query,  spBundle__security,  spBundle__tag,  spBundle__text,  spBundle_Composition, 
      //  spBundle_Message,  spBundle_Type);
  PATHS_TSearchParamsBundle : Array[TSearchParamsBundle] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'composition: [frtComposition]',
     'message: [frtMessageHeader]',
     'type: []');
  TARGETS_TSearchParamsBundle : Array[TSearchParamsBundle] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtComposition], [frtMessageHeader], []);
  CODES_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'activitycode', 'activitydate', 'activityreference', 'condition', 'date', 'goal', 'participant', 'patient', 'performer', 'related', 'relatedcode', 'relatedplan', 'subject');
  DESC_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Detail type of activity',
     'Specified date occurs within period specified by CarePlan.activity.timingSchedule',
     'Activity details defined in specific resource',
     'Health issues this plan addresses',
     'Time period plan covers',
     'Desired outcome of plan',
     'Who is involved',
     'Who care plan is for',
     'Matches if the practitioner is listed as a performer in any of the "simple" activities.  (For performers of the detailed activities, chain through the activitydetail search parameter.)',
     'A combination of the type of relationship and the related plan',
     'includes | replaces | fulfills',
     'Plan relationship exists with',
     'Who care plan is for');
  TYPES_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeComposite, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of TSearchParamsCarePlan = ( spCarePlan__content,  spCarePlan__id,  spCarePlan__lastUpdated,  spCarePlan__profile,  spCarePlan__query,  spCarePlan__security,  spCarePlan__tag,  spCarePlan__text, 
      //  spCarePlan_Activitycode,  spCarePlan_Activitydate,  spCarePlan_Activityreference,  spCarePlan_Condition,  spCarePlan_Date,  spCarePlan_Goal,  spCarePlan_Participant,  spCarePlan_Patient,  spCarePlan_Performer,  spCarePlan_Related,  spCarePlan_Relatedcode, 
      //  spCarePlan_Relatedplan,  spCarePlan_Subject);
  PATHS_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'activitycode: []',
     'activitydate: []',
     'activityreference: [frtReferralRequest, frtProcedureRequest, frtAppointment, frtCommunicationRequest, frtOrder, frtSupplyRequest, frtVisionPrescription, frtMedicationOrder, frtProcessRequest, frtDeviceUseRequest, frtNutritionOrder, frtDiagnosticOrder'+']',
     'condition: [frtCondition]',
     'date: []',
     'goal: [frtGoal]',
     'participant: [frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson]',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'related: []',
     'relatedcode: []',
     'relatedplan: [frtCarePlan]',
     'subject: [frtPatient, frtGroup]');
  TARGETS_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtReferralRequest, frtProcedureRequest, frtAppointment, frtCommunicationRequest, frtOrder, frtSupplyRequest, frtVisionPrescription, frtMedicationOrder, frtProcessRequest, frtDeviceUseRequest, frtNutritionOrder, frtDiagnosticOrder], [frtCondition], [], [frtGoal], [frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [], [frtCarePlan], [frtPatient, frtGroup]);
  CODES_TSearchParamsClaim : Array[TSearchParamsClaim] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'created', 'facility', 'identifier', 'organization', 'patient', 'priority', 'provider', 'target', 'use');
  DESC_TSearchParamsClaim : Array[TSearchParamsClaim] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The creation date for the Claim',
     'Facility responsible for the goods and services',
     'The primary identifier of the financial resource',
     'The reference to the providing organization',
     'Patient receiveing the services',
     'Processing priority requested',
     'Provider responsible for the Claim',
     'The target payor/insurer for the Claim',
     'The kind of financial resource');
  TYPES_TSearchParamsClaim : Array[TSearchParamsClaim] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsClaim : Array[TSearchParamsClaim] of TSearchParamsClaim = ( spClaim__content,  spClaim__id,  spClaim__lastUpdated,  spClaim__profile,  spClaim__query,  spClaim__security,  spClaim__tag,  spClaim__text,  spClaim_Created,  spClaim_Facility, 
      //  spClaim_Identifier,  spClaim_Organization,  spClaim_Patient,  spClaim_Priority,  spClaim_Provider,  spClaim_Target,  spClaim_Use);
  PATHS_TSearchParamsClaim : Array[TSearchParamsClaim] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'created: []',
     'facility: [frtLocation]',
     'identifier: []',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'priority: []',
     'provider: [frtPractitioner]',
     'target: [frtOrganization]',
     'use: []');
  TARGETS_TSearchParamsClaim : Array[TSearchParamsClaim] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [frtPatient], [], [frtPractitioner], [frtOrganization], []);
  CODES_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'created', 'disposition', 'identifier', 'organization', 'outcome', 'paymentdate', 'request');
  DESC_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The creation date',
     'The contents of the disposition message',
     'The identity of the insurer',
     'The organization who generated this resource',
     'The processing outcome',
     'The expected paymentDate',
     'The claim reference');
  TYPES_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference);
//  CHECK_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of TSearchParamsClaimResponse = ( spClaimResponse__content,  spClaimResponse__id,  spClaimResponse__lastUpdated,  spClaimResponse__profile,  spClaimResponse__query,  spClaimResponse__security, 
      //  spClaimResponse__tag,  spClaimResponse__text,  spClaimResponse_Created,  spClaimResponse_Disposition,  spClaimResponse_Identifier,  spClaimResponse_Organization,  spClaimResponse_Outcome,  spClaimResponse_Paymentdate,  spClaimResponse_Request);
  PATHS_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'created: []',
     'disposition: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'outcome: []',
     'paymentdate: []',
     'request: [frtClaim]');
  TARGETS_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [], [], [frtClaim]);
  CODES_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'action', 'assessor', 'date', 'finding', 'investigation', 'patient', 'plan', 'previous', 'problem', 'resolved', 'ruledout', 'status', 'trigger', 'trigger-code');
  DESC_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Actions taken during assessment',
     'The clinician performing the assessment',
     'When the assessment occurred',
     'Specific text or code for finding',
     'Record of a specific investigation',
     'The patient being assessed',
     'Plan of action after assessment',
     'Reference to last assessment',
     'General assessment of patient state',
     'Diagnoses/conditions resolved since previous assessment',
     'Specific text of code for diagnosis',
     'in-progress | completed | entered-in-error',
     'Request or event that necessitated this assessment',
     'Request or event that necessitated this assessment');
  TYPES_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of TSearchParamsClinicalImpression = ( spClinicalImpression__content,  spClinicalImpression__id,  spClinicalImpression__lastUpdated,  spClinicalImpression__profile,  spClinicalImpression__query, 
      //  spClinicalImpression__security,  spClinicalImpression__tag,  spClinicalImpression__text,  spClinicalImpression_Action,  spClinicalImpression_Assessor,  spClinicalImpression_Date,  spClinicalImpression_Finding,  spClinicalImpression_Investigation,  spClinicalImpression_Patient, 
      //  spClinicalImpression_Plan,  spClinicalImpression_Previous,  spClinicalImpression_Problem,  spClinicalImpression_Resolved,  spClinicalImpression_Ruledout,  spClinicalImpression_Status,  spClinicalImpression_Trigger,  spClinicalImpression_Trigger_code);
  PATHS_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'action: [frtReferralRequest, frtAppointment, frtProcedureRequest, frtSupplyRequest, frtProcedure, frtMedicationOrder, frtNutritionOrder, frtDiagnosticOrder]',
     'assessor: [frtPractitioner]',
     'date: []',
     'finding: []',
     'investigation: [frtFamilyMemberHistory, frtObservation, frtQuestionnaireResponse, frtDiagnosticReport]',
     'patient: [frtPatient]',
     'plan: [frtCarePlan, frtReferralRequest, frtProcedureRequest, frtAppointment, frtCommunicationRequest, frtOrder, frtSupplyRequest, frtVisionPrescription, frtMedicationOrder, frtProcessRequest, frtDeviceUseRequest, frtNutritionOrder, frtDiagnosticOrder'+']',
     'previous: [frtClinicalImpression]',
     'problem: [frtCondition, frtAllergyIntolerance]',
     'resolved: []',
     'ruledout: []',
     'status: []',
     'trigger: ALL_RESOURCE_TYPES',
     'trigger-code: []');
  TARGETS_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtReferralRequest, frtAppointment, frtProcedureRequest, frtSupplyRequest, frtProcedure, frtMedicationOrder, frtNutritionOrder, frtDiagnosticOrder], [frtPractitioner], [], [], [frtFamilyMemberHistory, frtObservation, frtQuestionnaireResponse, frtDiagnosticReport], [frtPatient], [frtCarePlan, frtReferralRequest, frtProcedureRequest, frtAppointment, frtCommunicationRequest, frtOrder, frtSupplyRequest, frtVisionPrescription, frtMedicationOrder, frtProcessRequest, frtDeviceUseRequest, frtNutritionOrder, frtDiagnosticOrder], [frtClinicalImpression], [frtCondition, frtAllergyIntolerance], [], [], [], ALL_RESOURCE_TYPES, []);
  CODES_TSearchParamsCommunication : Array[TSearchParamsCommunication] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'encounter', 'identifier', 'medium', 'patient', 'received', 'recipient', 'request', 'sender', 'sent', 'status', 'subject');
  DESC_TSearchParamsCommunication : Array[TSearchParamsCommunication] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Message category',
     'Encounter leading to message',
     'Unique identifier',
     'A channel of communication',
     'Focus of message',
     'When received',
     'Message recipient',
     'CommunicationRequest producing this message',
     'Message sender',
     'When sent',
     'in-progress | completed | suspended | rejected | failed',
     'Focus of message');
  TYPES_TSearchParamsCommunication : Array[TSearchParamsCommunication] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate, 
       SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsCommunication : Array[TSearchParamsCommunication] of TSearchParamsCommunication = ( spCommunication__content,  spCommunication__id,  spCommunication__lastUpdated,  spCommunication__profile,  spCommunication__query,  spCommunication__security, 
      //  spCommunication__tag,  spCommunication__text,  spCommunication_Category,  spCommunication_Encounter,  spCommunication_Identifier,  spCommunication_Medium,  spCommunication_Patient,  spCommunication_Received,  spCommunication_Recipient,  spCommunication_Request, 
      //  spCommunication_Sender,  spCommunication_Sent,  spCommunication_Status,  spCommunication_Subject);
  PATHS_TSearchParamsCommunication : Array[TSearchParamsCommunication] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medium: []',
     'patient: [frtPatient]',
     'received: []',
     'recipient: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtGroup, frtRelatedPerson]',
     'request: [frtCommunicationRequest]',
     'sender: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'sent: []',
     'status: []',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsCommunication : Array[TSearchParamsCommunication] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtEncounter], [], [], [frtPatient], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtGroup, frtRelatedPerson], [frtCommunicationRequest], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [], [frtPatient]);
  CODES_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'encounter', 'identifier', 'medium', 'patient', 'priority', 'recipient', 'requested', 'requester', 'sender', 'status', 'subject', 'time');
  DESC_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Message category',
     'Encounter leading to message',
     'Unique identifier',
     'A channel of communication',
     'Focus of message',
     'Message urgency',
     'Message recipient',
     'When ordered or proposed',
     'An individual who requested a communication',
     'Message sender',
     'proposed | planned | requested | received | accepted | in-progress | completed | suspended | rejected | failed',
     'Focus of message',
     'When scheduled');
  TYPES_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate);
//  CHECK_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of TSearchParamsCommunicationRequest = ( spCommunicationRequest__content,  spCommunicationRequest__id,  spCommunicationRequest__lastUpdated,  spCommunicationRequest__profile, 
      //  spCommunicationRequest__query,  spCommunicationRequest__security,  spCommunicationRequest__tag,  spCommunicationRequest__text,  spCommunicationRequest_Category,  spCommunicationRequest_Encounter,  spCommunicationRequest_Identifier,  spCommunicationRequest_Medium, 
      //  spCommunicationRequest_Patient,  spCommunicationRequest_Priority,  spCommunicationRequest_Recipient,  spCommunicationRequest_Requested,  spCommunicationRequest_Requester,  spCommunicationRequest_Sender,  spCommunicationRequest_Status,  spCommunicationRequest_Subject, 
      //  spCommunicationRequest_Time);
  PATHS_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medium: []',
     'patient: [frtPatient]',
     'priority: []',
     'recipient: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'requested: []',
     'requester: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'sender: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'status: []',
     'subject: [frtPatient]',
     'time: []');
  TARGETS_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtEncounter], [], [], [frtPatient], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [frtPatient, frtPractitioner, frtRelatedPerson], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [frtPatient], []);
  CODES_TSearchParamsComposition : Array[TSearchParamsComposition] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'attester', 'author', 'class', 'confidentiality', 'context', 'date', 'encounter', 'entry', 'identifier', 'patient', 'period', 'section', 'status', 'subject', 'title', 'type');
  DESC_TSearchParamsComposition : Array[TSearchParamsComposition] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Who attested the composition',
     'Who and/or what authored the composition',
     'Categorization of Composition',
     'As defined by affinity domain',
     'Code(s) that apply to the event being documented',
     'Composition editing time',
     'Context of the Composition',
     'A reference to data that supports this section',
     'Logical identifier of composition (version-independent)',
     'Who and/or what the composition is about',
     'The period covered by the documentation',
     'Classification of section (recommended)',
     'preliminary | final | amended | entered-in-error',
     'Who and/or what the composition is about',
     'Human Readable name/title',
     'Kind of composition (LOINC if possible)');
  TYPES_TSearchParamsComposition : Array[TSearchParamsComposition] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsComposition : Array[TSearchParamsComposition] of TSearchParamsComposition = ( spComposition__content,  spComposition__id,  spComposition__lastUpdated,  spComposition__profile,  spComposition__query,  spComposition__security,  spComposition__tag, 
      //  spComposition__text,  spComposition_Attester,  spComposition_Author,  spComposition_Class,  spComposition_Confidentiality,  spComposition_Context,  spComposition_Date,  spComposition_Encounter,  spComposition_Entry,  spComposition_Identifier,  spComposition_Patient, 
      //  spComposition_Period,  spComposition_Section,  spComposition_Status,  spComposition_Subject,  spComposition_Title,  spComposition_Type);
  PATHS_TSearchParamsComposition : Array[TSearchParamsComposition] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'attester: [frtOrganization, frtPatient, frtPractitioner]',
     'author: [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson]',
     'class: []',
     'confidentiality: []',
     'context: []',
     'date: []',
     'encounter: [frtEncounter]',
     'entry: ALL_RESOURCE_TYPES',
     'identifier: []',
     'patient: [frtPatient]',
     'period: []',
     'section: []',
     'status: []',
     'subject: ALL_RESOURCE_TYPES',
     'title: []',
     'type: []');
  TARGETS_TSearchParamsComposition : Array[TSearchParamsComposition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtOrganization, frtPatient, frtPractitioner], [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson], [], [], [], [], [frtEncounter], ALL_RESOURCE_TYPES, [], [frtPatient], [], [], [], ALL_RESOURCE_TYPES, [], []);
  CODES_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'context', 'date', 'dependson', 'description', 'identifier', 'name', 'product', 'publisher', 'source', 'sourcecode', 'sourcesystem', 'sourceuri', 'status', 'target', 'targetcode', 'targetsystem', 'url', 'version');
  DESC_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A use context assigned to the concept map',
     'The concept map publication date',
     'Reference to element/field/ValueSet mapping depends on',
     'Text search in the description of the concept map',
     'Additional identifier for the concept map',
     'Name of the concept map',
     'Reference to element/field/ValueSet mapping depends on',
     'Name of the publisher of the concept map',
     'Identifies the source of the concepts which are being mapped',
     'Identifies element being mapped',
     'Code System (if value set crosses code systems)',
     'Identifies the source of the concepts which are being mapped',
     'Status of the concept map',
     'Provides context to the mappings',
     'Code that identifies the target element',
     'System of the target (if necessary)',
     'The URL of the concept map',
     'The version identifier of the concept map');
  TYPES_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken, 
       SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of TSearchParamsConceptMap = ( spConceptMap__content,  spConceptMap__id,  spConceptMap__lastUpdated,  spConceptMap__profile,  spConceptMap__query,  spConceptMap__security,  spConceptMap__tag, 
      //  spConceptMap__text,  spConceptMap_Context,  spConceptMap_Date,  spConceptMap_Dependson,  spConceptMap_Description,  spConceptMap_Identifier,  spConceptMap_Name,  spConceptMap_Product,  spConceptMap_Publisher,  spConceptMap_Source,  spConceptMap_Sourcecode, 
      //  spConceptMap_Sourcesystem,  spConceptMap_Sourceuri,  spConceptMap_Status,  spConceptMap_Target,  spConceptMap_Targetcode,  spConceptMap_Targetsystem,  spConceptMap_Url,  spConceptMap_Version);
  PATHS_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'context: []',
     'date: []',
     'dependson: []',
     'description: []',
     'identifier: []',
     'name: []',
     'product: []',
     'publisher: []',
     'source: [frtValueSet, frtStructureDefinition]',
     'sourcecode: []',
     'sourcesystem: []',
     'sourceuri: [frtValueSet, frtStructureDefinition]',
     'status: []',
     'target: [frtValueSet, frtStructureDefinition]',
     'targetcode: []',
     'targetsystem: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtValueSet, frtStructureDefinition], [], [], [frtValueSet, frtStructureDefinition], [], [frtValueSet, frtStructureDefinition], [], [], [], []);
  CODES_TSearchParamsCondition : Array[TSearchParamsCondition] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'asserter', 'body-site', 'category', 'clinicalstatus', 'code', 'date-recorded', 'encounter', 'evidence', 'identifier', 'onset', 'onset-info', 'patient', 'severity', 'stage');
  DESC_TSearchParamsCondition : Array[TSearchParamsCondition] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Person who asserts this condition',
     'Anatomical location, if relevant',
     'The category of the condition',
     'The clinical status of the condition',
     'Code for the condition',
     'A date, when the Condition statement was documented',
     'Encounter when condition first asserted',
     'Manifestation/symptom',
     'A unique identifier of the condition record',
     'Date related onsets (dateTime and Period)',
     'Other onsets (boolean, age, range, string)',
     'Who has the condition?',
     'The severity of the condition',
     'Simple summary (disease specific)');
  TYPES_TSearchParamsCondition : Array[TSearchParamsCondition] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsCondition : Array[TSearchParamsCondition] of TSearchParamsCondition = ( spCondition__content,  spCondition__id,  spCondition__lastUpdated,  spCondition__profile,  spCondition__query,  spCondition__security,  spCondition__tag,  spCondition__text, 
      //  spCondition_Asserter,  spCondition_Body_site,  spCondition_Category,  spCondition_Clinicalstatus,  spCondition_Code,  spCondition_Date_recorded,  spCondition_Encounter,  spCondition_Evidence,  spCondition_Identifier,  spCondition_Onset,  spCondition_Onset_info, 
      //  spCondition_Patient,  spCondition_Severity,  spCondition_Stage);
  PATHS_TSearchParamsCondition : Array[TSearchParamsCondition] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'asserter: [frtPatient, frtPractitioner]',
     'body-site: []',
     'category: []',
     'clinicalstatus: []',
     'code: []',
     'date-recorded: []',
     'encounter: [frtEncounter]',
     'evidence: []',
     'identifier: []',
     'onset: []',
     'onset-info: []',
     'patient: [frtPatient]',
     'severity: []',
     'stage: []');
  TARGETS_TSearchParamsCondition : Array[TSearchParamsCondition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtPatient, frtPractitioner], [], [], [], [], [], [frtEncounter], [], [], [], [], [frtPatient], [], []);
  CODES_TSearchParamsConformance : Array[TSearchParamsConformance] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'date', 'description', 'event', 'fhirversion', 'format', 'mode', 'name', 'profile', 'publisher', 'resource', 'security', 'software', 'status', 'supported-profile', 'url', 'version');
  DESC_TSearchParamsConformance : Array[TSearchParamsConformance] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The conformance statement publication date',
     'Text search in the description of the conformance statement',
     'Event code in a conformance statement',
     'The version of FHIR',
     'formats supported (xml | json | mime type)',
     'Mode - restful (server/client) or messaging (sender/receiver)',
     'Name of the conformance statement',
     'A profile id invoked in a conformance statement',
     'Name of the publisher of the conformance statement',
     'Name of a resource mentioned in a conformance statement',
     'OAuth | SMART-on-FHIR | NTLM | Basic | Kerberos | Certificates',
     'Part of a the name of a software application',
     'The current status of the conformance statement',
     'Profiles for use cases supported',
     'The uri that identifies the conformance statement',
     'The version identifier of the conformance statement');
  TYPES_TSearchParamsConformance : Array[TSearchParamsConformance] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsConformance : Array[TSearchParamsConformance] of TSearchParamsConformance = ( spConformance__content,  spConformance__id,  spConformance__lastUpdated,  spConformance__profile,  spConformance__query,  spConformance__security,  spConformance__tag, 
      //  spConformance__text,  spConformance_Date,  spConformance_Description,  spConformance_Event,  spConformance_Fhirversion,  spConformance_Format,  spConformance_Mode,  spConformance_Name,  spConformance_Profile,  spConformance_Publisher,  spConformance_Resource, 
      //  spConformance_Security,  spConformance_Software,  spConformance_Status,  spConformance_Supported_profile,  spConformance_Url,  spConformance_Version);
  PATHS_TSearchParamsConformance : Array[TSearchParamsConformance] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'date: []',
     'description: []',
     'event: []',
     'fhirversion: []',
     'format: []',
     'mode: []',
     'name: []',
     'profile: [frtStructureDefinition]',
     'publisher: []',
     'resource: []',
     'security: []',
     'software: []',
     'status: []',
     'supported-profile: [frtStructureDefinition]',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsConformance : Array[TSearchParamsConformance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtStructureDefinition], [], [], [], [], [], [frtStructureDefinition], [], []);
  CODES_TSearchParamsContract : Array[TSearchParamsContract] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'actor', 'identifier', 'patient', 'signer', 'subject');
  DESC_TSearchParamsContract : Array[TSearchParamsContract] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Contract Actor Type',
     'The identity of the contract',
     'The identity of the target of the contract (if a patient)',
     'Contract Signatory Party',
     'The identity of the target of the contract');
  TYPES_TSearchParamsContract : Array[TSearchParamsContract] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsContract : Array[TSearchParamsContract] of TSearchParamsContract = ( spContract__content,  spContract__id,  spContract__lastUpdated,  spContract__profile,  spContract__query,  spContract__security,  spContract__tag,  spContract__text, 
      //  spContract_Actor,  spContract_Identifier,  spContract_Patient,  spContract_Signer,  spContract_Subject);
  PATHS_TSearchParamsContract : Array[TSearchParamsContract] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'actor: [frtDevice, frtPatient, frtOrganization, frtLocation, frtSubstance, frtPractitioner, frtContract, frtGroup, frtRelatedPerson]',
     'identifier: []',
     'patient: [frtPatient]',
     'signer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsContract : Array[TSearchParamsContract] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtLocation, frtSubstance, frtPractitioner, frtContract, frtGroup, frtRelatedPerson], [], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient]);
  CODES_TSearchParamsCoverage : Array[TSearchParamsCoverage] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'dependent', 'group', 'identifier', 'issuer', 'plan', 'sequence', 'subplan', 'subscriber', 'type');
  DESC_TSearchParamsCoverage : Array[TSearchParamsCoverage] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Dependent number',
     'Group identifier',
     'The primary identifier of the insured',
     'The identity of the insurer',
     'A plan or policy identifier',
     'Sequence number',
     'Sub-plan identifier',
     'Reference to the subscriber',
     'The kind of coverage');
  TYPES_TSearchParamsCoverage : Array[TSearchParamsCoverage] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsCoverage : Array[TSearchParamsCoverage] of TSearchParamsCoverage = ( spCoverage__content,  spCoverage__id,  spCoverage__lastUpdated,  spCoverage__profile,  spCoverage__query,  spCoverage__security,  spCoverage__tag,  spCoverage__text, 
      //  spCoverage_Dependent,  spCoverage_Group,  spCoverage_Identifier,  spCoverage_Issuer,  spCoverage_Plan,  spCoverage_Sequence,  spCoverage_Subplan,  spCoverage_Subscriber,  spCoverage_Type);
  PATHS_TSearchParamsCoverage : Array[TSearchParamsCoverage] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'dependent: []',
     'group: []',
     'identifier: []',
     'issuer: [frtOrganization]',
     'plan: []',
     'sequence: []',
     'subplan: []',
     'subscriber: [frtPatient]',
     'type: []');
  TARGETS_TSearchParamsCoverage : Array[TSearchParamsCoverage] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [], [], [], [frtPatient], []);
  CODES_TSearchParamsDataElement : Array[TSearchParamsDataElement] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'context', 'date', 'description', 'identifier', 'name', 'publisher', 'status', 'stringency', 'url', 'version');
  DESC_TSearchParamsDataElement : Array[TSearchParamsDataElement] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A code for the data element (server may choose to do subsumption)',
     'A use context assigned to the data element',
     'The data element publication date',
     'Text search in the description of the data element.  This corresponds to the definition of the first DataElement.element.',
     'The identifier of the data element',
     'Name of the data element',
     'Name of the publisher of the data element',
     'The current status of the data element',
     'The stringency of the data element definition',
     'The official URL for the data element',
     'The version identifier of the data element');
  TYPES_TSearchParamsDataElement : Array[TSearchParamsDataElement] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri, 
       SearchParamTypeString);
//  CHECK_TSearchParamsDataElement : Array[TSearchParamsDataElement] of TSearchParamsDataElement = ( spDataElement__content,  spDataElement__id,  spDataElement__lastUpdated,  spDataElement__profile,  spDataElement__query,  spDataElement__security,  spDataElement__tag, 
      //  spDataElement__text,  spDataElement_Code,  spDataElement_Context,  spDataElement_Date,  spDataElement_Description,  spDataElement_Identifier,  spDataElement_Name,  spDataElement_Publisher,  spDataElement_Status,  spDataElement_Stringency,  spDataElement_Url, 
      //  spDataElement_Version);
  PATHS_TSearchParamsDataElement : Array[TSearchParamsDataElement] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'context: []',
     'date: []',
     'description: []',
     'identifier: []',
     'name: []',
     'publisher: []',
     'status: []',
     'stringency: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsDataElement : Array[TSearchParamsDataElement] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsDecisionSupportRule : Array[TSearchParamsDecisionSupportRule] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsDecisionSupportRule : Array[TSearchParamsDecisionSupportRule] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsDecisionSupportRule : Array[TSearchParamsDecisionSupportRule] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString);
//  CHECK_TSearchParamsDecisionSupportRule : Array[TSearchParamsDecisionSupportRule] of TSearchParamsDecisionSupportRule = ( spDecisionSupportRule__content,  spDecisionSupportRule__id,  spDecisionSupportRule__lastUpdated,  spDecisionSupportRule__profile, 
      //  spDecisionSupportRule__query,  spDecisionSupportRule__security,  spDecisionSupportRule__tag,  spDecisionSupportRule__text);
  PATHS_TSearchParamsDecisionSupportRule : Array[TSearchParamsDecisionSupportRule] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsDecisionSupportRule : Array[TSearchParamsDecisionSupportRule] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsDecisionSupportServiceModule : Array[TSearchParamsDecisionSupportServiceModule] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsDecisionSupportServiceModule : Array[TSearchParamsDecisionSupportServiceModule] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsDecisionSupportServiceModule : Array[TSearchParamsDecisionSupportServiceModule] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsDecisionSupportServiceModule : Array[TSearchParamsDecisionSupportServiceModule] of TSearchParamsDecisionSupportServiceModule = ( spDecisionSupportServiceModule__content,  spDecisionSupportServiceModule__id,  spDecisionSupportServiceModule__lastUpdated, 
      //  spDecisionSupportServiceModule__profile,  spDecisionSupportServiceModule__query,  spDecisionSupportServiceModule__security,  spDecisionSupportServiceModule__tag,  spDecisionSupportServiceModule__text);
  PATHS_TSearchParamsDecisionSupportServiceModule : Array[TSearchParamsDecisionSupportServiceModule] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsDecisionSupportServiceModule : Array[TSearchParamsDecisionSupportServiceModule] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsDetectedIssue : Array[TSearchParamsDetectedIssue] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'author', 'category', 'date', 'identifier', 'implicated', 'patient');
  DESC_TSearchParamsDetectedIssue : Array[TSearchParamsDetectedIssue] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The provider or device that identified the issue',
     'Issue Category, e.g. drug-drug, duplicate therapy, etc.',
     'When identified',
     'Unique id for the detected issue',
     'Problem resource',
     'Associated patient');
  TYPES_TSearchParamsDetectedIssue : Array[TSearchParamsDetectedIssue] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsDetectedIssue : Array[TSearchParamsDetectedIssue] of TSearchParamsDetectedIssue = ( spDetectedIssue__content,  spDetectedIssue__id,  spDetectedIssue__lastUpdated,  spDetectedIssue__profile,  spDetectedIssue__query,  spDetectedIssue__security, 
      //  spDetectedIssue__tag,  spDetectedIssue__text,  spDetectedIssue_Author,  spDetectedIssue_Category,  spDetectedIssue_Date,  spDetectedIssue_Identifier,  spDetectedIssue_Implicated,  spDetectedIssue_Patient);
  PATHS_TSearchParamsDetectedIssue : Array[TSearchParamsDetectedIssue] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'author: [frtDevice, frtPractitioner]',
     'category: []',
     'date: []',
     'identifier: []',
     'implicated: ALL_RESOURCE_TYPES',
     'patient: [frtPatient]');
  TARGETS_TSearchParamsDetectedIssue : Array[TSearchParamsDetectedIssue] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtPractitioner], [], [], [], ALL_RESOURCE_TYPES, [frtPatient]);
  CODES_TSearchParamsDevice : Array[TSearchParamsDevice] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'identifier', 'location', 'manufacturer', 'model', 'organization', 'patient', 'type', 'udi', 'url');
  DESC_TSearchParamsDevice : Array[TSearchParamsDevice] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Instance id from manufacturer, owner, and others',
     'A location, where the resource is found',
     'The manufacturer of the device',
     'The model of the device',
     'The organization responsible for the device',
     'Patient information, if the resource is affixed to a person',
     'The type of the device',
     'FDA mandated Unique Device Identifier',
     'Network address to contact device');
  TYPES_TSearchParamsDevice : Array[TSearchParamsDevice] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeUri);
//  CHECK_TSearchParamsDevice : Array[TSearchParamsDevice] of TSearchParamsDevice = ( spDevice__content,  spDevice__id,  spDevice__lastUpdated,  spDevice__profile,  spDevice__query,  spDevice__security,  spDevice__tag,  spDevice__text,  spDevice_Identifier, 
      //  spDevice_Location,  spDevice_Manufacturer,  spDevice_Model,  spDevice_Organization,  spDevice_Patient,  spDevice_Type,  spDevice_Udi,  spDevice_Url);
  PATHS_TSearchParamsDevice : Array[TSearchParamsDevice] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'identifier: []',
     'location: [frtLocation]',
     'manufacturer: []',
     'model: []',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'type: []',
     'udi: []',
     'url: []');
  TARGETS_TSearchParamsDevice : Array[TSearchParamsDevice] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtLocation], [], [], [frtOrganization], [frtPatient], [], [], []);
  CODES_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'parent', 'source', 'type');
  DESC_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The parent DeviceComponent resource',
     'The device source',
     'The device component type');
  TYPES_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of TSearchParamsDeviceComponent = ( spDeviceComponent__content,  spDeviceComponent__id,  spDeviceComponent__lastUpdated,  spDeviceComponent__profile,  spDeviceComponent__query, 
      //  spDeviceComponent__security,  spDeviceComponent__tag,  spDeviceComponent__text,  spDeviceComponent_Parent,  spDeviceComponent_Source,  spDeviceComponent_Type);
  PATHS_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'parent: [frtDeviceComponent]',
     'source: [frtDevice]',
     'type: []');
  TARGETS_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDeviceComponent], [frtDevice], []);
  CODES_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'identifier', 'parent', 'source', 'type');
  DESC_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The category of the metric',
     'The identifier of the metric',
     'The parent DeviceMetric resource',
     'The device resource',
     'The component type');
  TYPES_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of TSearchParamsDeviceMetric = ( spDeviceMetric__content,  spDeviceMetric__id,  spDeviceMetric__lastUpdated,  spDeviceMetric__profile,  spDeviceMetric__query,  spDeviceMetric__security, 
      //  spDeviceMetric__tag,  spDeviceMetric__text,  spDeviceMetric_Category,  spDeviceMetric_Identifier,  spDeviceMetric_Parent,  spDeviceMetric_Source,  spDeviceMetric_Type);
  PATHS_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'identifier: []',
     'parent: [frtDeviceComponent]',
     'source: [frtDevice]',
     'type: []');
  TARGETS_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtDeviceComponent], [frtDevice], []);
  CODES_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'device', 'patient', 'subject');
  DESC_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Device requested',
     'Search by subject - a patient',
     'Search by subject');
  TYPES_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of TSearchParamsDeviceUseRequest = ( spDeviceUseRequest__content,  spDeviceUseRequest__id,  spDeviceUseRequest__lastUpdated,  spDeviceUseRequest__profile,  spDeviceUseRequest__query, 
      //  spDeviceUseRequest__security,  spDeviceUseRequest__tag,  spDeviceUseRequest__text,  spDeviceUseRequest_Device,  spDeviceUseRequest_Patient,  spDeviceUseRequest_Subject);
  PATHS_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'device: [frtDevice]',
     'patient: [frtPatient]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice], [frtPatient], [frtPatient]);
  CODES_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'device', 'patient', 'subject');
  DESC_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Search by device',
     'Search by subject - a patient',
     'Search by subject');
  TYPES_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of TSearchParamsDeviceUseStatement = ( spDeviceUseStatement__content,  spDeviceUseStatement__id,  spDeviceUseStatement__lastUpdated,  spDeviceUseStatement__profile,  spDeviceUseStatement__query, 
      //  spDeviceUseStatement__security,  spDeviceUseStatement__tag,  spDeviceUseStatement__text,  spDeviceUseStatement_Device,  spDeviceUseStatement_Patient,  spDeviceUseStatement_Subject);
  PATHS_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'device: [frtDevice]',
     'patient: [frtPatient]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice], [frtPatient], [frtPatient]);
  CODES_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'actor', 'bodysite', 'code', 'encounter', 'event-date', 'event-status', 'event-status-date', 'identifier', 'item-date', 'item-past-status', 'item-status', 'item-status-date', 'orderer', 'patient', 'specimen', 'status', 'subject');
  DESC_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Who recorded or did this',
     'Location of requested test (if applicable)',
     'Code to indicate the item (test or panel) being ordered',
     'The encounter that this diagnostic order is associated with',
     'The date at which the event happened',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'A combination of past-status and date',
     'Identifiers assigned to this order',
     'The date at which the event happened',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'A combination of item-past-status and item-date',
     'Who ordered the test',
     'Who and/or what test is about',
     'If the whole order relates to specific specimens',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'Who and/or what test is about');
  TYPES_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of TSearchParamsDiagnosticOrder = ( spDiagnosticOrder__content,  spDiagnosticOrder__id,  spDiagnosticOrder__lastUpdated,  spDiagnosticOrder__profile,  spDiagnosticOrder__query, 
      //  spDiagnosticOrder__security,  spDiagnosticOrder__tag,  spDiagnosticOrder__text,  spDiagnosticOrder_Actor,  spDiagnosticOrder_Bodysite,  spDiagnosticOrder_Code,  spDiagnosticOrder_Encounter,  spDiagnosticOrder_Event_date,  spDiagnosticOrder_Event_status, 
      //  spDiagnosticOrder_Event_status_date,  spDiagnosticOrder_Identifier,  spDiagnosticOrder_Item_date,  spDiagnosticOrder_Item_past_status,  spDiagnosticOrder_Item_status,  spDiagnosticOrder_Item_status_date,  spDiagnosticOrder_Orderer,  spDiagnosticOrder_Patient, 
      //  spDiagnosticOrder_Specimen,  spDiagnosticOrder_Status,  spDiagnosticOrder_Subject);
  PATHS_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'actor: [frtDevice, frtPractitioner]',
     'bodysite: []',
     'code: []',
     'encounter: [frtEncounter]',
     'event-date: []',
     'event-status: []',
     'event-status-date: []',
     'identifier: []',
     'item-date: []',
     'item-past-status: []',
     'item-status: []',
     'item-status-date: []',
     'orderer: [frtPractitioner]',
     'patient: [frtPatient]',
     'specimen: [frtSpecimen]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]');
  TARGETS_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtPractitioner], [], [], [frtEncounter], [], [], [], [], [], [], [], [], [frtPractitioner], [frtPatient], [frtSpecimen], [], [frtDevice, frtLocation, frtPatient, frtGroup]);
  CODES_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'code', 'date', 'diagnosis', 'encounter', 'identifier', 'image', 'issued', 'patient', 'performer', 'request', 'result', 'specimen', 'status', 'subject');
  DESC_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Which diagnostic discipline/department created the report',
     'The code for the report as a whole, as opposed to codes for the atomic results, which are the names on the observation resource referred to from the result',
     'The clinically relevant time of the report',
     'A coded diagnosis on the report',
     'The Encounter when the order was made',
     'An identifier for the report',
     'A reference to the image source.',
     'When the report was issued',
     'The subject of the report if a patient',
     'Who was the source of the report (organization)',
     'Reference to the test or procedure request.',
     'Link to an atomic result (observation resource)',
     'The specimen details',
     'The status of the report',
     'The subject of the report');
  TYPES_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of TSearchParamsDiagnosticReport = ( spDiagnosticReport__content,  spDiagnosticReport__id,  spDiagnosticReport__lastUpdated,  spDiagnosticReport__profile,  spDiagnosticReport__query, 
      //  spDiagnosticReport__security,  spDiagnosticReport__tag,  spDiagnosticReport__text,  spDiagnosticReport_Category,  spDiagnosticReport_Code,  spDiagnosticReport_Date,  spDiagnosticReport_Diagnosis,  spDiagnosticReport_Encounter,  spDiagnosticReport_Identifier, 
      //  spDiagnosticReport_Image,  spDiagnosticReport_Issued,  spDiagnosticReport_Patient,  spDiagnosticReport_Performer,  spDiagnosticReport_Request,  spDiagnosticReport_Result,  spDiagnosticReport_Specimen,  spDiagnosticReport_Status,  spDiagnosticReport_Subject);
  PATHS_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'code: []',
     'date: []',
     'diagnosis: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'image: [frtMedia]',
     'issued: []',
     'patient: [frtPatient]',
     'performer: [frtOrganization, frtPractitioner]',
     'request: [frtReferralRequest, frtProcedureRequest, frtDiagnosticOrder]',
     'result: [frtObservation]',
     'specimen: [frtSpecimen]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]');
  TARGETS_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [frtEncounter], [], [frtMedia], [], [frtPatient], [frtOrganization, frtPractitioner], [frtReferralRequest, frtProcedureRequest, frtDiagnosticOrder], [frtObservation], [frtSpecimen], [], [frtDevice, frtLocation, frtPatient, frtGroup]);
  CODES_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'author', 'content-ref', 'created', 'description', 'identifier', 'patient', 'recipient', 'related-id', 'related-ref', 'source', 'status', 'subject', 'type');
  DESC_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Who and/or what authored the manifest',
     'Contents of this set of documents',
     'When this document manifest created',
     'Human-readable description (title)',
     'Unique Identifier for the set of documents',
     'The subject of the set of documents',
     'Intended to get notified about this set of documents',
     'Identifiers of things that are related',
     'Related Resource',
     'The source system/application/software',
     'current | superseded | entered-in-error',
     'The subject of the set of documents',
     'Kind of document set');
  TYPES_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of TSearchParamsDocumentManifest = ( spDocumentManifest__content,  spDocumentManifest__id,  spDocumentManifest__lastUpdated,  spDocumentManifest__profile,  spDocumentManifest__query, 
      //  spDocumentManifest__security,  spDocumentManifest__tag,  spDocumentManifest__text,  spDocumentManifest_Author,  spDocumentManifest_Content_ref,  spDocumentManifest_Created,  spDocumentManifest_Description,  spDocumentManifest_Identifier,  spDocumentManifest_Patient, 
      //  spDocumentManifest_Recipient,  spDocumentManifest_Related_id,  spDocumentManifest_Related_ref,  spDocumentManifest_Source,  spDocumentManifest_Status,  spDocumentManifest_Subject,  spDocumentManifest_Type);
  PATHS_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'author: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'content-ref: ALL_RESOURCE_TYPES',
     'created: []',
     'description: []',
     'identifier: []',
     'patient: [frtPatient]',
     'recipient: [frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson]',
     'related-id: []',
     'related-ref: ALL_RESOURCE_TYPES',
     'source: []',
     'status: []',
     'subject: [frtDevice, frtPatient, frtPractitioner, frtGroup]',
     'type: []');
  TARGETS_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], ALL_RESOURCE_TYPES, [], [], [], [frtPatient], [frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson], [], ALL_RESOURCE_TYPES, [], [], [frtDevice, frtPatient, frtPractitioner, frtGroup], []);
  CODES_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'authenticator', 'author', 'class', 'created', 'custodian', 'description', 'encounter', 'event', 'facility', 'format', 'identifier', 'indexed', 'language', 'location', 'patient', 'period', 'related-id', 'related-ref', 'relatesto', 'relation', 'relationship', 'securitylabel', 'setting', 'status', 'subject', 'type');
  DESC_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Who/what authenticated the document',
     'Who and/or what authored the document',
     'Categorization of document',
     'Document creation time',
     'Organization which maintains the document',
     'Human-readable description (title)',
     'Context of the document  content',
     'Main Clinical Acts Documented',
     'Kind of facility where patient was seen',
     'Format/content rules for the document',
     'Master Version Specific Identifier',
     'When this document reference created',
     'Human language of the content (BCP-47)',
     'Uri where the data can be found',
     'Who/what is the subject of the document',
     'Time of service that is being documented',
     'Identifier of related objects or events',
     'Related Resource',
     'Target of the relationship',
     'replaces | transforms | signs | appends',
     'Combination of relation and relatesTo',
     'Document security-tags',
     'Additional details about where the content was created (e.g. clinical specialty)',
     'current | superseded | entered-in-error',
     'Who/what is the subject of the document',
     'Kind of document (LOINC if possible)');
  TYPES_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeComposite, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of TSearchParamsDocumentReference = ( spDocumentReference__content,  spDocumentReference__id,  spDocumentReference__lastUpdated,  spDocumentReference__profile,  spDocumentReference__query, 
      //  spDocumentReference__security,  spDocumentReference__tag,  spDocumentReference__text,  spDocumentReference_Authenticator,  spDocumentReference_Author,  spDocumentReference_Class,  spDocumentReference_Created,  spDocumentReference_Custodian,  spDocumentReference_Description, 
      //  spDocumentReference_Encounter,  spDocumentReference_Event,  spDocumentReference_Facility,  spDocumentReference_Format,  spDocumentReference_Identifier,  spDocumentReference_Indexed,  spDocumentReference_Language,  spDocumentReference_Location,  spDocumentReference_Patient, 
      //  spDocumentReference_Period,  spDocumentReference_Related_id,  spDocumentReference_Related_ref,  spDocumentReference_Relatesto,  spDocumentReference_Relation,  spDocumentReference_Relationship,  spDocumentReference_Securitylabel,  spDocumentReference_Setting, 
      //  spDocumentReference_Status,  spDocumentReference_Subject,  spDocumentReference_Type);
  PATHS_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'authenticator: [frtOrganization, frtPractitioner]',
     'author: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'class: []',
     'created: []',
     'custodian: [frtOrganization]',
     'description: []',
     'encounter: [frtEncounter]',
     'event: []',
     'facility: []',
     'format: []',
     'identifier: []',
     'indexed: []',
     'language: []',
     'location: []',
     'patient: [frtPatient]',
     'period: []',
     'related-id: []',
     'related-ref: ALL_RESOURCE_TYPES',
     'relatesto: [frtDocumentReference]',
     'relation: []',
     'relationship: []',
     'securitylabel: []',
     'setting: []',
     'status: []',
     'subject: [frtDevice, frtPatient, frtPractitioner, frtGroup]',
     'type: []');
  TARGETS_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtOrganization, frtPractitioner], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [], [frtOrganization], [], [frtEncounter], [], [], [], [], [], [], [], [frtPatient], [], [], ALL_RESOURCE_TYPES, [frtDocumentReference], [], [], [], [], [], [frtDevice, frtPatient, frtPractitioner, frtGroup], []);
  CODES_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'created', 'facility', 'identifier', 'organization', 'patient', 'provider');
  DESC_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The creation date for the EOB',
     'Facility responsible for the goods and services',
     'The business identifier of the Eligibility',
     'The reference to the providing organization',
     'The reference to the patient',
     'The reference to the provider');
  TYPES_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of TSearchParamsEligibilityRequest = ( spEligibilityRequest__content,  spEligibilityRequest__id,  spEligibilityRequest__lastUpdated,  spEligibilityRequest__profile,  spEligibilityRequest__query, 
      //  spEligibilityRequest__security,  spEligibilityRequest__tag,  spEligibilityRequest__text,  spEligibilityRequest_Created,  spEligibilityRequest_Facility,  spEligibilityRequest_Identifier,  spEligibilityRequest_Organization,  spEligibilityRequest_Patient, 
      //  spEligibilityRequest_Provider);
  PATHS_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'created: []',
     'facility: [frtLocation]',
     'identifier: []',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'provider: [frtPractitioner]');
  TARGETS_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [frtPatient], [frtPractitioner]);
  CODES_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'created', 'disposition', 'identifier', 'organization', 'outcome', 'request', 'requestorganization', 'requestprovider');
  DESC_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The creation date',
     'The contents of the disposition message',
     'The business identifier',
     'The organization which generated this resource',
     'The processing outcome',
     'The EligibilityRequest reference',
     'Reference to the EligibilityRequest organization',
     'Reference to the EligibilityRequest provider');
  TYPES_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of TSearchParamsEligibilityResponse = ( spEligibilityResponse__content,  spEligibilityResponse__id,  spEligibilityResponse__lastUpdated,  spEligibilityResponse__profile, 
      //  spEligibilityResponse__query,  spEligibilityResponse__security,  spEligibilityResponse__tag,  spEligibilityResponse__text,  spEligibilityResponse_Created,  spEligibilityResponse_Disposition,  spEligibilityResponse_Identifier,  spEligibilityResponse_Organization, 
      //  spEligibilityResponse_Outcome,  spEligibilityResponse_Request,  spEligibilityResponse_Requestorganization,  spEligibilityResponse_Requestprovider);
  PATHS_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'created: []',
     'disposition: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'outcome: []',
     'request: [frtEligibilityRequest]',
     'requestorganization: [frtOrganization]',
     'requestprovider: [frtPractitioner]');
  TARGETS_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [], [frtEligibilityRequest], [frtOrganization], [frtPractitioner]);
  CODES_TSearchParamsEncounter : Array[TSearchParamsEncounter] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'appointment', 'condition', 'date', 'episodeofcare', 'identifier', 'incomingreferral', 'indication', 'length', 'location', 'location-period', 'part-of', 'participant', 'participant-type', 'patient', 'practitioner', 'procedure', 'reason', 'special-arrangement', 'status', 'type');
  DESC_TSearchParamsEncounter : Array[TSearchParamsEncounter] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The appointment that scheduled this encounter',
     'Reason the encounter takes place (resource)',
     'A date within the period the Encounter lasted',
     'Episode(s) of care that this encounter should be recorded against',
     'Identifier(s) by which this encounter is known',
     'The ReferralRequest that initiated this encounter',
     'Reason the encounter takes place (resource)',
     'Length of encounter in days',
     'Location the encounter takes place',
     'Time period during which the patient was present at the location',
     'Another Encounter this encounter is part of',
     'Persons involved in the encounter other than the patient',
     'Role of participant in encounter',
     'The patient present at the encounter',
     'Persons involved in the encounter other than the patient',
     'Reason the encounter takes place (resource)',
     'Reason the encounter takes place (code)',
     'Wheelchair, translator, stretcher, etc.',
     'planned | arrived | in-progress | onleave | finished | cancelled',
     'Specific type of encounter');
  TYPES_TSearchParamsEncounter : Array[TSearchParamsEncounter] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeNumber,  SearchParamTypeReference,  SearchParamTypeDate, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsEncounter : Array[TSearchParamsEncounter] of TSearchParamsEncounter = ( spEncounter__content,  spEncounter__id,  spEncounter__lastUpdated,  spEncounter__profile,  spEncounter__query,  spEncounter__security,  spEncounter__tag,  spEncounter__text, 
      //  spEncounter_Appointment,  spEncounter_Condition,  spEncounter_Date,  spEncounter_Episodeofcare,  spEncounter_Identifier,  spEncounter_Incomingreferral,  spEncounter_Indication,  spEncounter_Length,  spEncounter_Location,  spEncounter_Location_period, 
      //  spEncounter_Part_of,  spEncounter_Participant,  spEncounter_Participant_type,  spEncounter_Patient,  spEncounter_Practitioner,  spEncounter_Procedure,  spEncounter_Reason,  spEncounter_Special_arrangement,  spEncounter_Status,  spEncounter_Type);
  PATHS_TSearchParamsEncounter : Array[TSearchParamsEncounter] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'appointment: [frtAppointment]',
     'condition: [frtCondition]',
     'date: []',
     'episodeofcare: [frtEpisodeOfCare]',
     'identifier: []',
     'incomingreferral: [frtReferralRequest]',
     'indication: [frtCondition, frtProcedure]',
     'length: []',
     'location: [frtLocation]',
     'location-period: []',
     'part-of: [frtEncounter]',
     'participant: [frtPractitioner, frtRelatedPerson]',
     'participant-type: []',
     'patient: [frtPatient]',
     'practitioner: [frtPractitioner]',
     'procedure: [frtProcedure]',
     'reason: []',
     'special-arrangement: []',
     'status: []',
     'type: []');
  TARGETS_TSearchParamsEncounter : Array[TSearchParamsEncounter] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtAppointment], [frtCondition], [], [frtEpisodeOfCare], [], [frtReferralRequest], [frtCondition, frtProcedure], [], [frtLocation], [], [frtEncounter], [frtPractitioner, frtRelatedPerson], [], [frtPatient], [frtPractitioner], [frtProcedure], [], [], [], []);
  CODES_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'identifier', 'patient', 'subject');
  DESC_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The business identifier of the Enrollment',
     'The party to be enrolled',
     'The party to be enrolled');
  TYPES_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of TSearchParamsEnrollmentRequest = ( spEnrollmentRequest__content,  spEnrollmentRequest__id,  spEnrollmentRequest__lastUpdated,  spEnrollmentRequest__profile,  spEnrollmentRequest__query, 
      //  spEnrollmentRequest__security,  spEnrollmentRequest__tag,  spEnrollmentRequest__text,  spEnrollmentRequest_Identifier,  spEnrollmentRequest_Patient,  spEnrollmentRequest_Subject);
  PATHS_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'identifier: []',
     'patient: [frtPatient]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtPatient], [frtPatient]);
  CODES_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'identifier');
  DESC_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The business identifier of the Explanation of Benefit');
  TYPES_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of TSearchParamsEnrollmentResponse = ( spEnrollmentResponse__content,  spEnrollmentResponse__id,  spEnrollmentResponse__lastUpdated,  spEnrollmentResponse__profile,  spEnrollmentResponse__query, 
      //  spEnrollmentResponse__security,  spEnrollmentResponse__tag,  spEnrollmentResponse__text,  spEnrollmentResponse_Identifier);
  PATHS_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'identifier: []');
  TARGETS_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'care-manager', 'condition', 'date', 'identifier', 'incomingreferral', 'organization', 'patient', 'status', 'team-member', 'type');
  DESC_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Care manager/care co-ordinator for the patient',
     'Conditions/problems/diagnoses this episode of care is for',
     'The provided date search value falls within the episode of care''s period',
     'Identifier(s) for the EpisodeOfCare',
     'Incoming Referral Request',
     'The organization that has assumed the specific responsibilities of this EpisodeOfCare',
     'Patient for this episode of care',
     'The current status of the Episode of Care as provided (does not check the status history collection)',
     'A Practitioner or Organization allocated to the care team for this EpisodeOfCare',
     'Type/class  - e.g. specialist referral, disease management');
  TYPES_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of TSearchParamsEpisodeOfCare = ( spEpisodeOfCare__content,  spEpisodeOfCare__id,  spEpisodeOfCare__lastUpdated,  spEpisodeOfCare__profile,  spEpisodeOfCare__query,  spEpisodeOfCare__security, 
      //  spEpisodeOfCare__tag,  spEpisodeOfCare__text,  spEpisodeOfCare_Care_manager,  spEpisodeOfCare_Condition,  spEpisodeOfCare_Date,  spEpisodeOfCare_Identifier,  spEpisodeOfCare_Incomingreferral,  spEpisodeOfCare_Organization,  spEpisodeOfCare_Patient,  spEpisodeOfCare_Status, 
      //  spEpisodeOfCare_Team_member,  spEpisodeOfCare_Type);
  PATHS_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'care-manager: [frtPractitioner]',
     'condition: [frtCondition]',
     'date: []',
     'identifier: []',
     'incomingreferral: [frtReferralRequest]',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'status: []',
     'team-member: [frtOrganization, frtPractitioner]',
     'type: []');
  TARGETS_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtPractitioner], [frtCondition], [], [], [frtReferralRequest], [frtOrganization], [frtPatient], [], [frtOrganization, frtPractitioner], []);
  CODES_TSearchParamsExpansionProfile : Array[TSearchParamsExpansionProfile] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'date', 'description', 'identifier', 'name', 'publisher', 'status', 'url', 'version');
  DESC_TSearchParamsExpansionProfile : Array[TSearchParamsExpansionProfile] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The expansion profile publication date',
     'Text search in the description of the expansion profile',
     'The identifier for the expansion profile',
     'The name of the expansion profile',
     'Name of the publisher of the expansion profile',
     'The status of the expansion profile',
     'The logical URL for the expansion profile',
     'The version identifier of the expansion profile');
  TYPES_TSearchParamsExpansionProfile : Array[TSearchParamsExpansionProfile] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsExpansionProfile : Array[TSearchParamsExpansionProfile] of TSearchParamsExpansionProfile = ( spExpansionProfile__content,  spExpansionProfile__id,  spExpansionProfile__lastUpdated,  spExpansionProfile__profile,  spExpansionProfile__query, 
      //  spExpansionProfile__security,  spExpansionProfile__tag,  spExpansionProfile__text,  spExpansionProfile_Date,  spExpansionProfile_Description,  spExpansionProfile_Identifier,  spExpansionProfile_Name,  spExpansionProfile_Publisher,  spExpansionProfile_Status, 
      //  spExpansionProfile_Url,  spExpansionProfile_Version);
  PATHS_TSearchParamsExpansionProfile : Array[TSearchParamsExpansionProfile] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'date: []',
     'description: []',
     'identifier: []',
     'name: []',
     'publisher: []',
     'status: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsExpansionProfile : Array[TSearchParamsExpansionProfile] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'claim', 'created', 'disposition', 'facility', 'identifier', 'organization', 'patient', 'provider');
  DESC_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The reference to the claim',
     'The creation date for the EOB',
     'The contents of the disposition message',
     'Facility responsible for the goods and services',
     'The business identifier of the Explanation of Benefit',
     'The reference to the providing organization',
     'The reference to the patient',
     'The reference to the provider');
  TYPES_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of TSearchParamsExplanationOfBenefit = ( spExplanationOfBenefit__content,  spExplanationOfBenefit__id,  spExplanationOfBenefit__lastUpdated,  spExplanationOfBenefit__profile, 
      //  spExplanationOfBenefit__query,  spExplanationOfBenefit__security,  spExplanationOfBenefit__tag,  spExplanationOfBenefit__text,  spExplanationOfBenefit_Claim,  spExplanationOfBenefit_Created,  spExplanationOfBenefit_Disposition,  spExplanationOfBenefit_Facility, 
      //  spExplanationOfBenefit_Identifier,  spExplanationOfBenefit_Organization,  spExplanationOfBenefit_Patient,  spExplanationOfBenefit_Provider);
  PATHS_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'claim: [frtClaim]',
     'created: []',
     'disposition: []',
     'facility: [frtLocation]',
     'identifier: []',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'provider: [frtPractitioner]');
  TARGETS_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtClaim], [], [], [frtLocation], [], [frtOrganization], [frtPatient], [frtPractitioner]);
  CODES_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'date', 'gender', 'identifier', 'patient', 'relationship');
  DESC_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A search by a condition code',
     'When history was captured/updated',
     'A search by a gender code of a family member',
     'A search by a record identifier',
     'The identity of a subject to list family member history items for',
     'A search by a relationship type');
  TYPES_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of TSearchParamsFamilyMemberHistory = ( spFamilyMemberHistory__content,  spFamilyMemberHistory__id,  spFamilyMemberHistory__lastUpdated,  spFamilyMemberHistory__profile, 
      //  spFamilyMemberHistory__query,  spFamilyMemberHistory__security,  spFamilyMemberHistory__tag,  spFamilyMemberHistory__text,  spFamilyMemberHistory_Code,  spFamilyMemberHistory_Date,  spFamilyMemberHistory_Gender,  spFamilyMemberHistory_Identifier,  spFamilyMemberHistory_Patient, 
      //  spFamilyMemberHistory_Relationship);
  PATHS_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'date: []',
     'gender: []',
     'identifier: []',
     'patient: [frtPatient]',
     'relationship: []');
  TARGETS_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [frtPatient], []);
  CODES_TSearchParamsFlag : Array[TSearchParamsFlag] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'author', 'date', 'encounter', 'patient', 'subject');
  DESC_TSearchParamsFlag : Array[TSearchParamsFlag] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Flag creator',
     'Time period when flag is active',
     'Alert relevant during encounter',
     'The identity of a subject to list flags for',
     'The identity of a subject to list flags for');
  TYPES_TSearchParamsFlag : Array[TSearchParamsFlag] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsFlag : Array[TSearchParamsFlag] of TSearchParamsFlag = ( spFlag__content,  spFlag__id,  spFlag__lastUpdated,  spFlag__profile,  spFlag__query,  spFlag__security,  spFlag__tag,  spFlag__text,  spFlag_Author,  spFlag_Date,  spFlag_Encounter, 
      //  spFlag_Patient,  spFlag_Subject);
  PATHS_TSearchParamsFlag : Array[TSearchParamsFlag] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'author: [frtDevice, frtPatient, frtOrganization, frtPractitioner]',
     'date: []',
     'encounter: [frtEncounter]',
     'patient: [frtPatient]',
     'subject: [frtOrganization, frtLocation, frtPatient, frtPractitioner, frtGroup]');
  TARGETS_TSearchParamsFlag : Array[TSearchParamsFlag] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner], [], [frtEncounter], [frtPatient], [frtOrganization, frtLocation, frtPatient, frtPractitioner, frtGroup]);
  CODES_TSearchParamsGoal : Array[TSearchParamsGoal] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'identifier', 'patient', 'status', 'subject', 'targetdate');
  DESC_TSearchParamsGoal : Array[TSearchParamsGoal] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'E.g. Treatment, dietary, behavioral, etc.',
     'External Ids for this goal',
     'Who this goal is intended for',
     'proposed | planned | accepted | rejected | in-progress | achieved | sustaining | on-hold | cancelled',
     'Who this goal is intended for',
     'Reach goal on or before');
  TYPES_TSearchParamsGoal : Array[TSearchParamsGoal] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate);
//  CHECK_TSearchParamsGoal : Array[TSearchParamsGoal] of TSearchParamsGoal = ( spGoal__content,  spGoal__id,  spGoal__lastUpdated,  spGoal__profile,  spGoal__query,  spGoal__security,  spGoal__tag,  spGoal__text,  spGoal_Category,  spGoal_Identifier, 
      //  spGoal_Patient,  spGoal_Status,  spGoal_Subject,  spGoal_Targetdate);
  PATHS_TSearchParamsGoal : Array[TSearchParamsGoal] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'identifier: []',
     'patient: [frtPatient]',
     'status: []',
     'subject: [frtOrganization, frtPatient, frtGroup]',
     'targetdate: []');
  TARGETS_TSearchParamsGoal : Array[TSearchParamsGoal] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtPatient], [], [frtOrganization, frtPatient, frtGroup], []);
  CODES_TSearchParamsGroup : Array[TSearchParamsGroup] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'actual', 'characteristic', 'characteristic-value', 'code', 'exclude', 'identifier', 'member', 'type', 'value');
  DESC_TSearchParamsGroup : Array[TSearchParamsGroup] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Descriptive or actual',
     'Kind of characteristic',
     'A composite of both characteristic and value',
     'The kind of resources contained',
     'Group includes or excludes',
     'Unique id',
     'Reference to the group member',
     'The type of resources the group contains',
     'Value held by characteristic');
  TYPES_TSearchParamsGroup : Array[TSearchParamsGroup] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsGroup : Array[TSearchParamsGroup] of TSearchParamsGroup = ( spGroup__content,  spGroup__id,  spGroup__lastUpdated,  spGroup__profile,  spGroup__query,  spGroup__security,  spGroup__tag,  spGroup__text,  spGroup_Actual,  spGroup_Characteristic, 
      //  spGroup_Characteristic_value,  spGroup_Code,  spGroup_Exclude,  spGroup_Identifier,  spGroup_Member,  spGroup_Type,  spGroup_Value);
  PATHS_TSearchParamsGroup : Array[TSearchParamsGroup] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'actual: []',
     'characteristic: []',
     'characteristic-value: []',
     'code: []',
     'exclude: []',
     'identifier: []',
     'member: [frtMedication, frtDevice, frtPatient, frtSubstance, frtPractitioner]',
     'type: []',
     'value: []');
  TARGETS_TSearchParamsGroup : Array[TSearchParamsGroup] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtMedication, frtDevice, frtPatient, frtSubstance, frtPractitioner], [], []);
  CODES_TSearchParamsGuidanceResponse : Array[TSearchParamsGuidanceResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsGuidanceResponse : Array[TSearchParamsGuidanceResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsGuidanceResponse : Array[TSearchParamsGuidanceResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString);
//  CHECK_TSearchParamsGuidanceResponse : Array[TSearchParamsGuidanceResponse] of TSearchParamsGuidanceResponse = ( spGuidanceResponse__content,  spGuidanceResponse__id,  spGuidanceResponse__lastUpdated,  spGuidanceResponse__profile,  spGuidanceResponse__query, 
      //  spGuidanceResponse__security,  spGuidanceResponse__tag,  spGuidanceResponse__text);
  PATHS_TSearchParamsGuidanceResponse : Array[TSearchParamsGuidanceResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsGuidanceResponse : Array[TSearchParamsGuidanceResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'characteristic', 'identifier', 'location', 'name', 'organization', 'programname', 'servicecategory', 'servicetype');
  DESC_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'One of the HealthcareService''s characteristics',
     'External identifiers for this item',
     'The location of the Healthcare Service',
     'A portion of the Healthcare service name',
     'The organization that provides this Healthcare Service',
     'One of the Program Names serviced by this HealthcareService',
     'Service Category of the Healthcare Service',
     'The type of service provided by this healthcare service');
  TYPES_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of TSearchParamsHealthcareService = ( spHealthcareService__content,  spHealthcareService__id,  spHealthcareService__lastUpdated,  spHealthcareService__profile,  spHealthcareService__query, 
      //  spHealthcareService__security,  spHealthcareService__tag,  spHealthcareService__text,  spHealthcareService_Characteristic,  spHealthcareService_Identifier,  spHealthcareService_Location,  spHealthcareService_Name,  spHealthcareService_Organization,  spHealthcareService_Programname, 
      //  spHealthcareService_Servicecategory,  spHealthcareService_Servicetype);
  PATHS_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'characteristic: []',
     'identifier: []',
     'location: [frtLocation]',
     'name: []',
     'organization: [frtOrganization]',
     'programname: []',
     'servicecategory: []',
     'servicetype: []');
  TARGETS_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [], [], []);
  CODES_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'author', 'authoring-time', 'identifier', 'patient', 'selected-study', 'title');
  DESC_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Author of key DICOM object selection',
     'Time of key DICOM object selection authoring',
     'UID of key DICOM object selection',
     'Subject of key DICOM object selection',
     'Study selected in key DICOM object selection',
     'Title of key DICOM object selection');
  TYPES_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of TSearchParamsImagingObjectSelection = ( spImagingObjectSelection__content,  spImagingObjectSelection__id,  spImagingObjectSelection__lastUpdated,  spImagingObjectSelection__profile, 
      //  spImagingObjectSelection__query,  spImagingObjectSelection__security,  spImagingObjectSelection__tag,  spImagingObjectSelection__text,  spImagingObjectSelection_Author,  spImagingObjectSelection_Authoring_time,  spImagingObjectSelection_Identifier,  spImagingObjectSelection_Patient, 
      //  spImagingObjectSelection_Selected_study,  spImagingObjectSelection_Title);
  PATHS_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'author: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'authoring-time: []',
     'identifier: []',
     'patient: [frtPatient]',
     'selected-study: []',
     'title: []');
  TARGETS_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [], [frtPatient], [], []);
  CODES_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'accession', 'bodysite', 'dicom-class', 'modality', 'order', 'patient', 'series', 'started', 'study', 'uid');
  DESC_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The accession identifier for the study',
     'The body site studied',
     'The type of the instance',
     'The modality of the series',
     'The order for the image',
     'Who the study is about',
     'The identifier of the series of images',
     'When the study was started',
     'The study identifier for the image',
     'The instance unique identifier');
  TYPES_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeUri,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeUri);
//  CHECK_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of TSearchParamsImagingStudy = ( spImagingStudy__content,  spImagingStudy__id,  spImagingStudy__lastUpdated,  spImagingStudy__profile,  spImagingStudy__query,  spImagingStudy__security, 
      //  spImagingStudy__tag,  spImagingStudy__text,  spImagingStudy_Accession,  spImagingStudy_Bodysite,  spImagingStudy_Dicom_class,  spImagingStudy_Modality,  spImagingStudy_Order,  spImagingStudy_Patient,  spImagingStudy_Series,  spImagingStudy_Started,  spImagingStudy_Study, 
      //  spImagingStudy_Uid);
  PATHS_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'accession: []',
     'bodysite: []',
     'dicom-class: []',
     'modality: []',
     'order: [frtDiagnosticOrder]',
     'patient: [frtPatient]',
     'series: []',
     'started: []',
     'study: []',
     'uid: []');
  TARGETS_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [frtDiagnosticOrder], [frtPatient], [], [], [], []);
  CODES_TSearchParamsImmunization : Array[TSearchParamsImmunization] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'date', 'dose-sequence', 'identifier', 'location', 'lot-number', 'manufacturer', 'notgiven', 'patient', 'performer', 'reaction', 'reaction-date', 'reason', 'reason-not-given', 'requester', 'status', 'vaccine-code');
  DESC_TSearchParamsImmunization : Array[TSearchParamsImmunization] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Vaccination  (non)-Administration Date',
     'Dose number within series',
     'Business identifier',
     'The service delivery location or facility in which the vaccine was / was to be administered',
     'Vaccine Lot Number',
     'Vaccine Manufacturer',
     'Administrations which were not given',
     'The patient for the vaccination record',
     'The practitioner who administered the vaccination',
     'Additional information on reaction',
     'When reaction started',
     'Why immunization occurred',
     'Explanation of reason vaccination was not administered',
     'The practitioner who ordered the vaccination',
     'Immunization event status',
     'Vaccine Product Administered');
  TYPES_TSearchParamsImmunization : Array[TSearchParamsImmunization] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeNumber,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsImmunization : Array[TSearchParamsImmunization] of TSearchParamsImmunization = ( spImmunization__content,  spImmunization__id,  spImmunization__lastUpdated,  spImmunization__profile,  spImmunization__query,  spImmunization__security, 
      //  spImmunization__tag,  spImmunization__text,  spImmunization_Date,  spImmunization_Dose_sequence,  spImmunization_Identifier,  spImmunization_Location,  spImmunization_Lot_number,  spImmunization_Manufacturer,  spImmunization_Notgiven,  spImmunization_Patient, 
      //  spImmunization_Performer,  spImmunization_Reaction,  spImmunization_Reaction_date,  spImmunization_Reason,  spImmunization_Reason_not_given,  spImmunization_Requester,  spImmunization_Status,  spImmunization_Vaccine_code);
  PATHS_TSearchParamsImmunization : Array[TSearchParamsImmunization] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'date: []',
     'dose-sequence: []',
     'identifier: []',
     'location: [frtLocation]',
     'lot-number: []',
     'manufacturer: [frtOrganization]',
     'notgiven: []',
     'patient: [frtPatient]',
     'performer: [frtPractitioner]',
     'reaction: [frtObservation]',
     'reaction-date: []',
     'reason: []',
     'reason-not-given: []',
     'requester: [frtPractitioner]',
     'status: []',
     'vaccine-code: []');
  TARGETS_TSearchParamsImmunization : Array[TSearchParamsImmunization] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [], [frtPatient], [frtPractitioner], [frtObservation], [], [], [], [frtPractitioner], [], []);
  CODES_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'date', 'dose-number', 'dose-sequence', 'identifier', 'information', 'patient', 'status', 'support', 'vaccine-type');
  DESC_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Date recommendation created',
     'Recommended dose number',
     'Dose number within sequence',
     'Business identifier',
     'Patient observations supporting recommendation',
     'Who this profile is for',
     'Vaccine administration status',
     'Past immunizations supporting recommendation',
     'Vaccine recommendation applies to');
  TYPES_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeNumber,  SearchParamTypeNumber,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of TSearchParamsImmunizationRecommendation = ( spImmunizationRecommendation__content,  spImmunizationRecommendation__id,  spImmunizationRecommendation__lastUpdated, 
      //  spImmunizationRecommendation__profile,  spImmunizationRecommendation__query,  spImmunizationRecommendation__security,  spImmunizationRecommendation__tag,  spImmunizationRecommendation__text,  spImmunizationRecommendation_Date,  spImmunizationRecommendation_Dose_number, 
      //  spImmunizationRecommendation_Dose_sequence,  spImmunizationRecommendation_Identifier,  spImmunizationRecommendation_Information,  spImmunizationRecommendation_Patient,  spImmunizationRecommendation_Status,  spImmunizationRecommendation_Support,  spImmunizationRecommendation_Vaccine_type);
  PATHS_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'date: []',
     'dose-number: []',
     'dose-sequence: []',
     'identifier: []',
     'information: [frtAllergyIntolerance, frtObservation]',
     'patient: [frtPatient]',
     'status: []',
     'support: [frtImmunization]',
     'vaccine-type: []');
  TARGETS_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [frtAllergyIntolerance, frtObservation], [frtPatient], [], [frtImmunization], []);
  CODES_TSearchParamsImplementationGuide : Array[TSearchParamsImplementationGuide] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'context', 'date', 'dependency', 'description', 'experimental', 'name', 'publisher', 'status', 'url', 'version');
  DESC_TSearchParamsImplementationGuide : Array[TSearchParamsImplementationGuide] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A use context assigned to the structure',
     'The implementation guide publication date',
     'Where to find dependency',
     'Text search in the description of the implementation guide',
     'If for testing purposes, not real usage',
     'Name of the implementation guide',
     'Name of the publisher of the implementation guide',
     'The current status of the implementation guide',
     'Absolute URL used to reference this Implementation Guide',
     'The version identifier of the implementation guide');
  TYPES_TSearchParamsImplementationGuide : Array[TSearchParamsImplementationGuide] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsImplementationGuide : Array[TSearchParamsImplementationGuide] of TSearchParamsImplementationGuide = ( spImplementationGuide__content,  spImplementationGuide__id,  spImplementationGuide__lastUpdated,  spImplementationGuide__profile, 
      //  spImplementationGuide__query,  spImplementationGuide__security,  spImplementationGuide__tag,  spImplementationGuide__text,  spImplementationGuide_Context,  spImplementationGuide_Date,  spImplementationGuide_Dependency,  spImplementationGuide_Description, 
      //  spImplementationGuide_Experimental,  spImplementationGuide_Name,  spImplementationGuide_Publisher,  spImplementationGuide_Status,  spImplementationGuide_Url,  spImplementationGuide_Version);
  PATHS_TSearchParamsImplementationGuide : Array[TSearchParamsImplementationGuide] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'context: []',
     'date: []',
     'dependency: []',
     'description: []',
     'experimental: []',
     'name: []',
     'publisher: []',
     'status: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsImplementationGuide : Array[TSearchParamsImplementationGuide] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsLibrary : Array[TSearchParamsLibrary] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsLibrary : Array[TSearchParamsLibrary] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsLibrary : Array[TSearchParamsLibrary] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsLibrary : Array[TSearchParamsLibrary] of TSearchParamsLibrary = ( spLibrary__content,  spLibrary__id,  spLibrary__lastUpdated,  spLibrary__profile,  spLibrary__query,  spLibrary__security,  spLibrary__tag,  spLibrary__text);
  PATHS_TSearchParamsLibrary : Array[TSearchParamsLibrary] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsLibrary : Array[TSearchParamsLibrary] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsList : Array[TSearchParamsList] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'date', 'empty-reason', 'encounter', 'item', 'notes', 'patient', 'source', 'status', 'subject', 'title');
  DESC_TSearchParamsList : Array[TSearchParamsList] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'What the purpose of this list is',
     'When the list was prepared',
     'Why list is empty',
     'Context in which list created',
     'Actual entry',
     'Comments about the list',
     'If all resources have the same subject',
     'Who and/or what defined the list contents (aka Author)',
     'current | retired | entered-in-error',
     'If all resources have the same subject',
     'Descriptive name for the list');
  TYPES_TSearchParamsList : Array[TSearchParamsList] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString);
//  CHECK_TSearchParamsList : Array[TSearchParamsList] of TSearchParamsList = ( spList__content,  spList__id,  spList__lastUpdated,  spList__profile,  spList__query,  spList__security,  spList__tag,  spList__text,  spList_Code,  spList_Date,  spList_Empty_reason, 
      //  spList_Encounter,  spList_Item,  spList_Notes,  spList_Patient,  spList_Source,  spList_Status,  spList_Subject,  spList_Title);
  PATHS_TSearchParamsList : Array[TSearchParamsList] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'date: []',
     'empty-reason: []',
     'encounter: [frtEncounter]',
     'item: ALL_RESOURCE_TYPES',
     'notes: []',
     'patient: [frtPatient]',
     'source: [frtDevice, frtPatient, frtPractitioner]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]',
     'title: []');
  TARGETS_TSearchParamsList : Array[TSearchParamsList] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtEncounter], ALL_RESOURCE_TYPES, [], [frtPatient], [frtDevice, frtPatient, frtPractitioner], [], [frtDevice, frtLocation, frtPatient, frtGroup], []);
  CODES_TSearchParamsLocation : Array[TSearchParamsLocation] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'address', 'address-city', 'address-country', 'address-postalcode', 'address-state', 'address-use', 'identifier', 'name', 'near', 'near-distance', 'organization', 'partof', 'status', 'type');
  DESC_TSearchParamsLocation : Array[TSearchParamsLocation] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A (part of the) address of the location',
     'A city specified in an address',
     'A country specified in an address',
     'A postal code specified in an address',
     'A state specified in an address',
     'A use code specified in an address',
     'Unique code or number identifying the location to its users',
     'A (portion of the) name of the location',
     'The coordinates expressed as [lat],[long] (using the WGS84 datum, see notes) to find locations near to (servers may search using a square rather than a circle for efficiency)',
     'A distance quantity to limit the near search to locations within a specific distance',
     'Searches for locations that are managed by the provided organization',
     'The location of which this location is a part',
     'Searches for locations with a specific kind of status',
     'A code for the type of location');
  TYPES_TSearchParamsLocation : Array[TSearchParamsLocation] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsLocation : Array[TSearchParamsLocation] of TSearchParamsLocation = ( spLocation__content,  spLocation__id,  spLocation__lastUpdated,  spLocation__profile,  spLocation__query,  spLocation__security,  spLocation__tag,  spLocation__text, 
      //  spLocation_Address,  spLocation_Address_city,  spLocation_Address_country,  spLocation_Address_postalcode,  spLocation_Address_state,  spLocation_Address_use,  spLocation_Identifier,  spLocation_Name,  spLocation_Near,  spLocation_Near_distance,  spLocation_Organization, 
      //  spLocation_Partof,  spLocation_Status,  spLocation_Type);
  PATHS_TSearchParamsLocation : Array[TSearchParamsLocation] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'address: []',
     'address-city: []',
     'address-country: []',
     'address-postalcode: []',
     'address-state: []',
     'address-use: []',
     'identifier: []',
     'name: []',
     'near: []',
     'near-distance: []',
     'organization: [frtOrganization]',
     'partof: [frtLocation]',
     'status: []',
     'type: []');
  TARGETS_TSearchParamsLocation : Array[TSearchParamsLocation] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [frtLocation], [], []);
  CODES_TSearchParamsMeasure : Array[TSearchParamsMeasure] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsMeasure : Array[TSearchParamsMeasure] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsMeasure : Array[TSearchParamsMeasure] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsMeasure : Array[TSearchParamsMeasure] of TSearchParamsMeasure = ( spMeasure__content,  spMeasure__id,  spMeasure__lastUpdated,  spMeasure__profile,  spMeasure__query,  spMeasure__security,  spMeasure__tag,  spMeasure__text);
  PATHS_TSearchParamsMeasure : Array[TSearchParamsMeasure] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsMeasure : Array[TSearchParamsMeasure] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsMedia : Array[TSearchParamsMedia] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'created', 'identifier', 'operator', 'patient', 'subject', 'subtype', 'type', 'view');
  DESC_TSearchParamsMedia : Array[TSearchParamsMedia] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Date attachment was first created',
     'Identifier(s) for the image',
     'The person who generated the image',
     'Who/What this Media is a record of',
     'Who/What this Media is a record of',
     'The type of acquisition equipment/process',
     'photo | video | audio',
     'Imaging view, e.g. Lateral or Antero-posterior');
  TYPES_TSearchParamsMedia : Array[TSearchParamsMedia] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedia : Array[TSearchParamsMedia] of TSearchParamsMedia = ( spMedia__content,  spMedia__id,  spMedia__lastUpdated,  spMedia__profile,  spMedia__query,  spMedia__security,  spMedia__tag,  spMedia__text,  spMedia_Created,  spMedia_Identifier, 
      //  spMedia_Operator,  spMedia_Patient,  spMedia_Subject,  spMedia_Subtype,  spMedia_Type,  spMedia_View);
  PATHS_TSearchParamsMedia : Array[TSearchParamsMedia] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'created: []',
     'identifier: []',
     'operator: [frtPractitioner]',
     'patient: [frtPatient]',
     'subject: [frtSpecimen, frtDevice, frtPatient, frtPractitioner, frtGroup]',
     'subtype: []',
     'type: []',
     'view: []');
  TARGETS_TSearchParamsMedia : Array[TSearchParamsMedia] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtPractitioner], [frtPatient], [frtSpecimen, frtDevice, frtPatient, frtPractitioner, frtGroup], [], [], []);
  CODES_TSearchParamsMedication : Array[TSearchParamsMedication] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'container', 'content', 'form', 'ingredient', 'manufacturer');
  DESC_TSearchParamsMedication : Array[TSearchParamsMedication] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Codes that identify this medication',
     'E.g. box, vial, blister-pack',
     'A product in the package',
     'powder | tablets | carton +',
     'The product contained',
     'Manufacturer of the item');
  TYPES_TSearchParamsMedication : Array[TSearchParamsMedication] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsMedication : Array[TSearchParamsMedication] of TSearchParamsMedication = ( spMedication__content,  spMedication__id,  spMedication__lastUpdated,  spMedication__profile,  spMedication__query,  spMedication__security,  spMedication__tag, 
      //  spMedication__text,  spMedication_Code,  spMedication_Container,  spMedication_Content,  spMedication_Form,  spMedication_Ingredient,  spMedication_Manufacturer);
  PATHS_TSearchParamsMedication : Array[TSearchParamsMedication] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'container: []',
     'content: [frtMedication]',
     'form: []',
     'ingredient: [frtMedication, frtSubstance]',
     'manufacturer: [frtOrganization]');
  TARGETS_TSearchParamsMedication : Array[TSearchParamsMedication] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtMedication], [], [frtMedication, frtSubstance], [frtOrganization]);
  CODES_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'device', 'effectivetime', 'encounter', 'identifier', 'medication', 'notgiven', 'patient', 'practitioner', 'prescription', 'status');
  DESC_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Return administrations of this medication code',
     'Return administrations with this administration device identity',
     'Date administration happened (or did not happen)',
     'Return administrations that share this encounter',
     'Return administrations with this external identifier',
     'Return administrations of this medication resource',
     'Administrations that were not made',
     'The identity of a patient to list administrations  for',
     'Who administered substance',
     'The identity of a prescription to list administrations from',
     'MedicationAdministration event status (for example one of active/paused/completed/nullified)');
  TYPES_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of TSearchParamsMedicationAdministration = ( spMedicationAdministration__content,  spMedicationAdministration__id,  spMedicationAdministration__lastUpdated, 
      //  spMedicationAdministration__profile,  spMedicationAdministration__query,  spMedicationAdministration__security,  spMedicationAdministration__tag,  spMedicationAdministration__text,  spMedicationAdministration_Code,  spMedicationAdministration_Device, 
      //  spMedicationAdministration_Effectivetime,  spMedicationAdministration_Encounter,  spMedicationAdministration_Identifier,  spMedicationAdministration_Medication,  spMedicationAdministration_Notgiven,  spMedicationAdministration_Patient,  spMedicationAdministration_Practitioner, 
      //  spMedicationAdministration_Prescription,  spMedicationAdministration_Status);
  PATHS_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'device: [frtDevice]',
     'effectivetime: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medication: [frtMedication]',
     'notgiven: []',
     'patient: [frtPatient]',
     'practitioner: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'prescription: [frtMedicationOrder]',
     'status: []');
  TARGETS_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtDevice], [], [frtEncounter], [], [frtMedication], [], [frtPatient], [frtPatient, frtPractitioner, frtRelatedPerson], [frtMedicationOrder], []);
  CODES_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'destination', 'dispenser', 'identifier', 'medication', 'patient', 'prescription', 'receiver', 'responsibleparty', 'status', 'type', 'whenhandedover', 'whenprepared');
  DESC_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Return dispenses of this medicine code',
     'Return dispenses that should be sent to a specific destination',
     'Return all dispenses performed by a specific individual',
     'Return dispenses with this external identifier',
     'Return dispenses of this medicine resource',
     'The identity of a patient to list dispenses  for',
     'The identity of a prescription to list dispenses from',
     'Who collected the medication',
     'Return all dispenses with the specified responsible party',
     'Status of the dispense',
     'Return all dispenses of a specific type',
     'Date when medication handed over to patient (outpatient setting), or supplied to ward or clinic (inpatient setting)',
     'Date when medication prepared');
  TYPES_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeDate);
//  CHECK_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of TSearchParamsMedicationDispense = ( spMedicationDispense__content,  spMedicationDispense__id,  spMedicationDispense__lastUpdated,  spMedicationDispense__profile,  spMedicationDispense__query, 
      //  spMedicationDispense__security,  spMedicationDispense__tag,  spMedicationDispense__text,  spMedicationDispense_Code,  spMedicationDispense_Destination,  spMedicationDispense_Dispenser,  spMedicationDispense_Identifier,  spMedicationDispense_Medication, 
      //  spMedicationDispense_Patient,  spMedicationDispense_Prescription,  spMedicationDispense_Receiver,  spMedicationDispense_Responsibleparty,  spMedicationDispense_Status,  spMedicationDispense_Type,  spMedicationDispense_Whenhandedover,  spMedicationDispense_Whenprepared);
  PATHS_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'destination: [frtLocation]',
     'dispenser: [frtPractitioner]',
     'identifier: []',
     'medication: [frtMedication]',
     'patient: [frtPatient]',
     'prescription: [frtMedicationOrder]',
     'receiver: [frtPatient, frtPractitioner]',
     'responsibleparty: [frtPractitioner]',
     'status: []',
     'type: []',
     'whenhandedover: []',
     'whenprepared: []');
  TARGETS_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtLocation], [frtPractitioner], [], [frtMedication], [frtPatient], [frtMedicationOrder], [frtPatient, frtPractitioner], [frtPractitioner], [], [], [], []);
  CODES_TSearchParamsMedicationOrder : Array[TSearchParamsMedicationOrder] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'datewritten', 'encounter', 'identifier', 'medication', 'patient', 'prescriber', 'status');
  DESC_TSearchParamsMedicationOrder : Array[TSearchParamsMedicationOrder] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Return administrations of this medication code',
     'Return prescriptions written on this date',
     'Return prescriptions with this encounter identifier',
     'Return prescriptions with this external identifier',
     'Return administrations of this medication reference',
     'The identity of a patient to list orders  for',
     'Who ordered the medication(s)',
     'Status of the prescription');
  TYPES_TSearchParamsMedicationOrder : Array[TSearchParamsMedicationOrder] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedicationOrder : Array[TSearchParamsMedicationOrder] of TSearchParamsMedicationOrder = ( spMedicationOrder__content,  spMedicationOrder__id,  spMedicationOrder__lastUpdated,  spMedicationOrder__profile,  spMedicationOrder__query, 
      //  spMedicationOrder__security,  spMedicationOrder__tag,  spMedicationOrder__text,  spMedicationOrder_Code,  spMedicationOrder_Datewritten,  spMedicationOrder_Encounter,  spMedicationOrder_Identifier,  spMedicationOrder_Medication,  spMedicationOrder_Patient, 
      //  spMedicationOrder_Prescriber,  spMedicationOrder_Status);
  PATHS_TSearchParamsMedicationOrder : Array[TSearchParamsMedicationOrder] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'datewritten: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medication: [frtMedication]',
     'patient: [frtPatient]',
     'prescriber: [frtPractitioner]',
     'status: []');
  TARGETS_TSearchParamsMedicationOrder : Array[TSearchParamsMedicationOrder] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtEncounter], [], [frtMedication], [frtPatient], [frtPractitioner], []);
  CODES_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'effectivedate', 'identifier', 'medication', 'patient', 'source', 'status');
  DESC_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Return administrations of this medication code',
     'Date when patient was taking (or not taking) the medication',
     'Return statements with this external identifier',
     'Return administrations of this medication reference',
     'The identity of a patient to list statements  for',
     'Who the information in the statement came from',
     'Return statements that match the given status');
  TYPES_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of TSearchParamsMedicationStatement = ( spMedicationStatement__content,  spMedicationStatement__id,  spMedicationStatement__lastUpdated,  spMedicationStatement__profile, 
      //  spMedicationStatement__query,  spMedicationStatement__security,  spMedicationStatement__tag,  spMedicationStatement__text,  spMedicationStatement_Code,  spMedicationStatement_Effectivedate,  spMedicationStatement_Identifier,  spMedicationStatement_Medication, 
      //  spMedicationStatement_Patient,  spMedicationStatement_Source,  spMedicationStatement_Status);
  PATHS_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'effectivedate: []',
     'identifier: []',
     'medication: [frtMedication]',
     'patient: [frtPatient]',
     'source: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'status: []');
  TARGETS_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtMedication], [frtPatient], [frtPatient, frtPractitioner, frtRelatedPerson], []);
  CODES_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'author', 'code', 'data', 'destination', 'destination-uri', 'enterer', 'event', 'receiver', 'response-id', 'responsible', 'source', 'source-uri', 'target', 'timestamp');
  DESC_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The source of the decision',
     'ok | transient-error | fatal-error',
     'The actual content of the message',
     'Name of system',
     'Actual destination address or id',
     'The source of the data entry',
     'Code for the event this message represents',
     'Intended "real-world" recipient for the data',
     'Id of original message',
     'Final responsibility for event',
     'Name of system',
     'Actual message source address or id',
     'Particular delivery destination within the destination',
     'Time that the message was sent');
  TYPES_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeDate);
//  CHECK_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of TSearchParamsMessageHeader = ( spMessageHeader__content,  spMessageHeader__id,  spMessageHeader__lastUpdated,  spMessageHeader__profile,  spMessageHeader__query,  spMessageHeader__security, 
      //  spMessageHeader__tag,  spMessageHeader__text,  spMessageHeader_Author,  spMessageHeader_Code,  spMessageHeader_Data,  spMessageHeader_Destination,  spMessageHeader_Destination_uri,  spMessageHeader_Enterer,  spMessageHeader_Event,  spMessageHeader_Receiver, 
      //  spMessageHeader_Response_id,  spMessageHeader_Responsible,  spMessageHeader_Source,  spMessageHeader_Source_uri,  spMessageHeader_Target,  spMessageHeader_Timestamp);
  PATHS_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'author: [frtPractitioner]',
     'code: []',
     'data: ALL_RESOURCE_TYPES',
     'destination: []',
     'destination-uri: []',
     'enterer: [frtPractitioner]',
     'event: []',
     'receiver: [frtOrganization, frtPractitioner]',
     'response-id: []',
     'responsible: [frtOrganization, frtPractitioner]',
     'source: []',
     'source-uri: []',
     'target: [frtDevice]',
     'timestamp: []');
  TARGETS_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtPractitioner], [], ALL_RESOURCE_TYPES, [], [], [frtPractitioner], [], [frtOrganization, frtPractitioner], [], [frtOrganization, frtPractitioner], [], [], [frtDevice], []);
  CODES_TSearchParamsModuleDefinition : Array[TSearchParamsModuleDefinition] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsModuleDefinition : Array[TSearchParamsModuleDefinition] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsModuleDefinition : Array[TSearchParamsModuleDefinition] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString);
//  CHECK_TSearchParamsModuleDefinition : Array[TSearchParamsModuleDefinition] of TSearchParamsModuleDefinition = ( spModuleDefinition__content,  spModuleDefinition__id,  spModuleDefinition__lastUpdated,  spModuleDefinition__profile,  spModuleDefinition__query, 
      //  spModuleDefinition__security,  spModuleDefinition__tag,  spModuleDefinition__text);
  PATHS_TSearchParamsModuleDefinition : Array[TSearchParamsModuleDefinition] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsModuleDefinition : Array[TSearchParamsModuleDefinition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsModuleMetadata : Array[TSearchParamsModuleMetadata] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'description', 'identifier', 'keyword', 'status', 'title', 'topic', 'version');
  DESC_TSearchParamsModuleMetadata : Array[TSearchParamsModuleMetadata] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Text search against the description',
     'Logical identifier for the module (e.g. CMS-143)',
     'Keywords associated with the module',
     'Status of the module',
     'Text search against the title',
     'Topics associated with the module',
     'Version of the module (e.g. 1.0.0)');
  TYPES_TSearchParamsModuleMetadata : Array[TSearchParamsModuleMetadata] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsModuleMetadata : Array[TSearchParamsModuleMetadata] of TSearchParamsModuleMetadata = ( spModuleMetadata__content,  spModuleMetadata__id,  spModuleMetadata__lastUpdated,  spModuleMetadata__profile,  spModuleMetadata__query,  spModuleMetadata__security, 
      //  spModuleMetadata__tag,  spModuleMetadata__text,  spModuleMetadata_Description,  spModuleMetadata_Identifier,  spModuleMetadata_Keyword,  spModuleMetadata_Status,  spModuleMetadata_Title,  spModuleMetadata_Topic,  spModuleMetadata_Version);
  PATHS_TSearchParamsModuleMetadata : Array[TSearchParamsModuleMetadata] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'description: []',
     'identifier: []',
     'keyword: []',
     'status: []',
     'title: []',
     'topic: []',
     'version: []');
  TARGETS_TSearchParamsModuleMetadata : Array[TSearchParamsModuleMetadata] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'contact', 'context', 'date', 'id-type', 'kind', 'name', 'period', 'publisher', 'replaced-by', 'responsible', 'status', 'telecom', 'type', 'value');
  DESC_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Name of a individual to contact',
     'Content intends to support these contexts',
     'Publication Date(/time)',
     'oid | uuid | uri | other',
     'codesystem | identifier | root',
     'Human-readable label',
     'When is identifier valid?',
     'Name of the publisher (Organization or individual)',
     'Use this instead',
     'Who maintains system namespace?',
     'draft | active | retired',
     'Contact details for individual or publisher',
     'e.g. driver,  provider,  patient, bank etc.',
     'The unique identifier');
  TYPES_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of TSearchParamsNamingSystem = ( spNamingSystem__content,  spNamingSystem__id,  spNamingSystem__lastUpdated,  spNamingSystem__profile,  spNamingSystem__query,  spNamingSystem__security, 
      //  spNamingSystem__tag,  spNamingSystem__text,  spNamingSystem_Contact,  spNamingSystem_Context,  spNamingSystem_Date,  spNamingSystem_Id_type,  spNamingSystem_Kind,  spNamingSystem_Name,  spNamingSystem_Period,  spNamingSystem_Publisher,  spNamingSystem_Replaced_by, 
      //  spNamingSystem_Responsible,  spNamingSystem_Status,  spNamingSystem_Telecom,  spNamingSystem_Type,  spNamingSystem_Value);
  PATHS_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'contact: []',
     'context: []',
     'date: []',
     'id-type: []',
     'kind: []',
     'name: []',
     'period: []',
     'publisher: []',
     'replaced-by: [frtNamingSystem]',
     'responsible: []',
     'status: []',
     'telecom: []',
     'type: []',
     'value: []');
  TARGETS_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtNamingSystem], [], [], [], [], []);
  CODES_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'additive', 'datetime', 'encounter', 'formula', 'identifier', 'oraldiet', 'patient', 'provider', 'status', 'supplement');
  DESC_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Type of module component to add to the feeding',
     'Return nutrition orders requested on this date',
     'Return nutrition orders with this encounter identifier',
     'Type of enteral or infant formula',
     'Return nutrition orders with this external identifier',
     'Type of diet that can be consumed orally (i.e., take via the mouth).',
     'The identity of the person who requires the diet, formula or nutritional supplement',
     'The identify of the provider who placed the nutrition order',
     'Status of the nutrition order.',
     'Type of supplement product requested');
  TYPES_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of TSearchParamsNutritionOrder = ( spNutritionOrder__content,  spNutritionOrder__id,  spNutritionOrder__lastUpdated,  spNutritionOrder__profile,  spNutritionOrder__query,  spNutritionOrder__security, 
      //  spNutritionOrder__tag,  spNutritionOrder__text,  spNutritionOrder_Additive,  spNutritionOrder_Datetime,  spNutritionOrder_Encounter,  spNutritionOrder_Formula,  spNutritionOrder_Identifier,  spNutritionOrder_Oraldiet,  spNutritionOrder_Patient,  spNutritionOrder_Provider, 
      //  spNutritionOrder_Status,  spNutritionOrder_Supplement);
  PATHS_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'additive: []',
     'datetime: []',
     'encounter: [frtEncounter]',
     'formula: []',
     'identifier: []',
     'oraldiet: []',
     'patient: [frtPatient]',
     'provider: [frtPractitioner]',
     'status: []',
     'supplement: []');
  TARGETS_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtEncounter], [], [], [], [frtPatient], [frtPractitioner], [], []);
  CODES_TSearchParamsObservation : Array[TSearchParamsObservation] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'code', 'code-value-[x]', 'component-code', 'component-code-value-[x]', 'component-data-absent-reason', 'component-value-concept', 'component-value-quantity', 'component-value-string', 'data-absent-reason', 'date', 'device', 'encounter', 'identifier', 'patient', 'performer', 'related', 'related-target', 'related-type', 'specimen', 'status', 'subject', 'value-concept', 'value-date', 'value-quantity', 'value-string');
  DESC_TSearchParamsObservation : Array[TSearchParamsObservation] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The classification of the type of observation',
     'The code of the observation type',
     'Both code and one of the value parameters',
     'The component code of the observation type',
     'Both component code and one of the component value parameters',
     'The reason why the expected value in the element Observation.component.value[x] is missing.',
     'The value of the component observation, if the value is a CodeableConcept',
     'The value of the component observation, if the value is a Quantity, or a SampledData (just search on the bounds of the values in sampled data)',
     'The value of the component observation, if the value is a string, and also searches in CodeableConcept.text',
     'The reason why the expected value in the element Observation.value[x] is missing.',
     'Obtained date/time. If the obtained element is a period, a date that falls in the period',
     'The Device that generated the observation data.',
     'Healthcare event related to the observation',
     'The unique id for a particular observation',
     'The subject that the observation is about (if patient)',
     'Who performed the observation',
     'Related Observations - search on related-type and related-target together',
     'Resource that is related to this one',
     'has-member | derived-from | sequel-to | replaces | qualified-by | interfered-by',
     'Specimen used for this observation',
     'The status of the observation',
     'The subject that the observation is about',
     'The value of the observation, if the value is a CodeableConcept',
     'The value of the observation, if the value is a date or period of time',
     'The value of the observation, if the value is a Quantity, or a SampledData (just search on the bounds of the values in sampled data)',
     'The value of the observation, if the value is a string, and also searches in CodeableConcept.text');
  TYPES_TSearchParamsObservation : Array[TSearchParamsObservation] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeQuantity,  SearchParamTypeString,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeComposite,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeQuantity,  SearchParamTypeString);
//  CHECK_TSearchParamsObservation : Array[TSearchParamsObservation] of TSearchParamsObservation = ( spObservation__content,  spObservation__id,  spObservation__lastUpdated,  spObservation__profile,  spObservation__query,  spObservation__security,  spObservation__tag, 
      //  spObservation__text,  spObservation_Category,  spObservation_Code,  spObservation_Code_value_x,  spObservation_Component_code,  spObservation_Component_code_value_x,  spObservation_Component_data_absent_reason,  spObservation_Component_value_concept, 
      //  spObservation_Component_value_quantity,  spObservation_Component_value_string,  spObservation_Data_absent_reason,  spObservation_Date,  spObservation_Device,  spObservation_Encounter,  spObservation_Identifier,  spObservation_Patient,  spObservation_Performer, 
      //  spObservation_Related,  spObservation_Related_target,  spObservation_Related_type,  spObservation_Specimen,  spObservation_Status,  spObservation_Subject,  spObservation_Value_concept,  spObservation_Value_date,  spObservation_Value_quantity,  spObservation_Value_string);
  PATHS_TSearchParamsObservation : Array[TSearchParamsObservation] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'code: []',
     'code-value-[x]: []',
     'component-code: []',
     'component-code-value-[x]: []',
     'component-data-absent-reason: []',
     'component-value-concept: []',
     'component-value-quantity: []',
     'component-value-string: []',
     'data-absent-reason: []',
     'date: []',
     'device: [frtDevice, frtDeviceMetric]',
     'encounter: [frtEncounter]',
     'identifier: []',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'related: []',
     'related-target: [frtObservation, frtQuestionnaireResponse]',
     'related-type: []',
     'specimen: [frtSpecimen]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]',
     'value-concept: []',
     'value-date: []',
     'value-quantity: []',
     'value-string: []');
  TARGETS_TSearchParamsObservation : Array[TSearchParamsObservation] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtDevice, frtDeviceMetric], [frtEncounter], [], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [frtObservation, frtQuestionnaireResponse], [], [frtSpecimen], [], [frtDevice, frtLocation, frtPatient, frtGroup], [], [], [], []);
  CODES_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'base', 'code', 'date', 'instance', 'kind', 'name', 'profile', 'publisher', 'status', 'system', 'type', 'url', 'version');
  DESC_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Marks this as a profile of the base',
     'Name used to invoke the operation',
     'Date for this version of the operation definition',
     'Invoke on an instance?',
     'operation | query',
     'Informal name for this operation',
     'Profile on the type',
     'Name of the publisher (Organization or individual)',
     'draft | active | retired',
     'Invoke at the system level?',
     'Invoke at resource level for these type',
     'Logical URL to reference this operation definition',
     'Logical id for this version of the operation definition');
  TYPES_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of TSearchParamsOperationDefinition = ( spOperationDefinition__content,  spOperationDefinition__id,  spOperationDefinition__lastUpdated,  spOperationDefinition__profile, 
      //  spOperationDefinition__query,  spOperationDefinition__security,  spOperationDefinition__tag,  spOperationDefinition__text,  spOperationDefinition_Base,  spOperationDefinition_Code,  spOperationDefinition_Date,  spOperationDefinition_Instance,  spOperationDefinition_Kind, 
      //  spOperationDefinition_Name,  spOperationDefinition_Profile,  spOperationDefinition_Publisher,  spOperationDefinition_Status,  spOperationDefinition_System,  spOperationDefinition_Type,  spOperationDefinition_Url,  spOperationDefinition_Version);
  PATHS_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'base: [frtOperationDefinition]',
     'code: []',
     'date: []',
     'instance: []',
     'kind: []',
     'name: []',
     'profile: [frtStructureDefinition]',
     'publisher: []',
     'status: []',
     'system: []',
     'type: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtOperationDefinition], [], [], [], [], [], [frtStructureDefinition], [], [], [], [], [], []);
  CODES_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString);
//  CHECK_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of TSearchParamsOperationOutcome = ( spOperationOutcome__content,  spOperationOutcome__id,  spOperationOutcome__lastUpdated,  spOperationOutcome__profile,  spOperationOutcome__query, 
      //  spOperationOutcome__security,  spOperationOutcome__tag,  spOperationOutcome__text);
  PATHS_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsOrder : Array[TSearchParamsOrder] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'date', 'detail', 'identifier', 'patient', 'source', 'subject', 'target', 'when', 'when_code');
  DESC_TSearchParamsOrder : Array[TSearchParamsOrder] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'When the order was made',
     'What action is being ordered',
     'Instance id from source, target, and/or  others',
     'Patient this order is about',
     'Who initiated the order',
     'Patient this order is about',
     'Who is intended to fulfill the order',
     'A formal schedule',
     'Code specifies when request should be done. The code may simply be a priority code');
  TYPES_TSearchParamsOrder : Array[TSearchParamsOrder] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken);
//  CHECK_TSearchParamsOrder : Array[TSearchParamsOrder] of TSearchParamsOrder = ( spOrder__content,  spOrder__id,  spOrder__lastUpdated,  spOrder__profile,  spOrder__query,  spOrder__security,  spOrder__tag,  spOrder__text,  spOrder_Date,  spOrder_Detail, 
      //  spOrder_Identifier,  spOrder_Patient,  spOrder_Source,  spOrder_Subject,  spOrder_Target,  spOrder_When,  spOrder_When_code);
  PATHS_TSearchParamsOrder : Array[TSearchParamsOrder] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'date: []',
     'detail: ALL_RESOURCE_TYPES',
     'identifier: []',
     'patient: [frtPatient]',
     'source: [frtOrganization, frtPractitioner]',
     'subject: [frtDevice, frtPatient, frtSubstance, frtGroup]',
     'target: [frtDevice, frtOrganization, frtPractitioner]',
     'when: []',
     'when_code: []');
  TARGETS_TSearchParamsOrder : Array[TSearchParamsOrder] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], ALL_RESOURCE_TYPES, [], [frtPatient], [frtOrganization, frtPractitioner], [frtDevice, frtPatient, frtSubstance, frtGroup], [frtDevice, frtOrganization, frtPractitioner], [], []);
  CODES_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'date', 'fulfillment', 'identifier', 'request', 'who');
  DESC_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'pending | review | rejected | error | accepted | cancelled | replaced | aborted | completed',
     'When the response was made',
     'Details of the outcome of performing the order',
     'Identifiers assigned to this order by the orderer or by the receiver',
     'The order that this is a response to',
     'Who made the response');
  TYPES_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of TSearchParamsOrderResponse = ( spOrderResponse__content,  spOrderResponse__id,  spOrderResponse__lastUpdated,  spOrderResponse__profile,  spOrderResponse__query,  spOrderResponse__security, 
      //  spOrderResponse__tag,  spOrderResponse__text,  spOrderResponse_Code,  spOrderResponse_Date,  spOrderResponse_Fulfillment,  spOrderResponse_Identifier,  spOrderResponse_Request,  spOrderResponse_Who);
  PATHS_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'date: []',
     'fulfillment: ALL_RESOURCE_TYPES',
     'identifier: []',
     'request: [frtOrder]',
     'who: [frtDevice, frtOrganization, frtPractitioner]');
  TARGETS_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], ALL_RESOURCE_TYPES, [], [frtOrder], [frtDevice, frtOrganization, frtPractitioner]);
  CODES_TSearchParamsOrderSet : Array[TSearchParamsOrderSet] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text');
  DESC_TSearchParamsOrderSet : Array[TSearchParamsOrderSet] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource');
  TYPES_TSearchParamsOrderSet : Array[TSearchParamsOrderSet] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsOrderSet : Array[TSearchParamsOrderSet] of TSearchParamsOrderSet = ( spOrderSet__content,  spOrderSet__id,  spOrderSet__lastUpdated,  spOrderSet__profile,  spOrderSet__query,  spOrderSet__security,  spOrderSet__tag,  spOrderSet__text);
  PATHS_TSearchParamsOrderSet : Array[TSearchParamsOrderSet] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []');
  TARGETS_TSearchParamsOrderSet : Array[TSearchParamsOrderSet] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], []);
  CODES_TSearchParamsOrganization : Array[TSearchParamsOrganization] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'active', 'address', 'address-city', 'address-country', 'address-postalcode', 'address-state', 'address-use', 'identifier', 'name', 'partof', 'phonetic', 'type');
  DESC_TSearchParamsOrganization : Array[TSearchParamsOrganization] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Whether the organization''s record is active',
     'A (part of the) address of the Organization',
     'A city specified in an address',
     'A country specified in an address',
     'A postal code specified in an address',
     'A state specified in an address',
     'A use code specified in an address',
     'Any identifier for the organization (not the accreditation issuer''s identifier)',
     'A portion of the organization''s name',
     'Search all organizations that are part of the given organization',
     'A portion of the organization''s name using some kind of phonetic matching algorithm',
     'A code for the type of organization');
  TYPES_TSearchParamsOrganization : Array[TSearchParamsOrganization] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference, 
       SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsOrganization : Array[TSearchParamsOrganization] of TSearchParamsOrganization = ( spOrganization__content,  spOrganization__id,  spOrganization__lastUpdated,  spOrganization__profile,  spOrganization__query,  spOrganization__security, 
      //  spOrganization__tag,  spOrganization__text,  spOrganization_Active,  spOrganization_Address,  spOrganization_Address_city,  spOrganization_Address_country,  spOrganization_Address_postalcode,  spOrganization_Address_state,  spOrganization_Address_use, 
      //  spOrganization_Identifier,  spOrganization_Name,  spOrganization_Partof,  spOrganization_Phonetic,  spOrganization_Type);
  PATHS_TSearchParamsOrganization : Array[TSearchParamsOrganization] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'active: []',
     'address: []',
     'address-city: []',
     'address-country: []',
     'address-postalcode: []',
     'address-state: []',
     'address-use: []',
     'identifier: []',
     'name: []',
     'partof: [frtOrganization]',
     'phonetic: []',
     'type: []');
  TARGETS_TSearchParamsOrganization : Array[TSearchParamsOrganization] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [], []);
  CODES_TSearchParamsPatient : Array[TSearchParamsPatient] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'active', 'address', 'address-city', 'address-country', 'address-postalcode', 'address-state', 'address-use', 'animal-breed', 'animal-species', 'birthdate', 'careprovider', 'deathdate', 'deceased', 'email', 'family', 'gender', 'given', 'identifier', 'language', 'link', 'name', 'organization', 'phone', 'phonetic', 'telecom');
  DESC_TSearchParamsPatient : Array[TSearchParamsPatient] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Whether the patient record is active',
     'An address in any kind of address/part of the patient',
     'A city specified in an address',
     'A country specified in an address',
     'A postalCode specified in an address',
     'A state specified in an address',
     'A use code specified in an address',
     'The breed for animal patients',
     'The species for animal patients',
     'The patient''s date of birth',
     'Patient''s nominated care provider, could be a care manager, not the organization that manages the record',
     'The date of death has been provided and satisfies this search value',
     'This patient has been marked as deceased, or as a death date entered',
     'A value in an email contact',
     'A portion of the family name of the patient',
     'Gender of the patient',
     'A portion of the given name of the patient',
     'A patient identifier',
     'Language code (irrespective of use value)',
     'All patients linked to the given patient',
     'A portion of either family or given name of the patient',
     'The organization at which this person is a patient',
     'A value in a phone contact',
     'A portion of either family or given name using some kind of phonetic matching algorithm',
     'The value in any kind of telecom details of the patient');
  TYPES_TSearchParamsPatient : Array[TSearchParamsPatient] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference, 
       SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsPatient : Array[TSearchParamsPatient] of TSearchParamsPatient = ( spPatient__content,  spPatient__id,  spPatient__lastUpdated,  spPatient__profile,  spPatient__query,  spPatient__security,  spPatient__tag,  spPatient__text,  spPatient_Active, 
      //  spPatient_Address,  spPatient_Address_city,  spPatient_Address_country,  spPatient_Address_postalcode,  spPatient_Address_state,  spPatient_Address_use,  spPatient_Animal_breed,  spPatient_Animal_species,  spPatient_Birthdate,  spPatient_Careprovider, 
      //  spPatient_Deathdate,  spPatient_Deceased,  spPatient_Email,  spPatient_Family,  spPatient_Gender,  spPatient_Given,  spPatient_Identifier,  spPatient_Language,  spPatient_Link,  spPatient_Name,  spPatient_Organization,  spPatient_Phone,  spPatient_Phonetic, 
      //  spPatient_Telecom);
  PATHS_TSearchParamsPatient : Array[TSearchParamsPatient] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'active: []',
     'address: []',
     'address-city: []',
     'address-country: []',
     'address-postalcode: []',
     'address-state: []',
     'address-use: []',
     'animal-breed: []',
     'animal-species: []',
     'birthdate: []',
     'careprovider: [frtOrganization, frtPractitioner]',
     'deathdate: []',
     'deceased: []',
     'email: []',
     'family: []',
     'gender: []',
     'given: []',
     'identifier: []',
     'language: []',
     'link: [frtPatient]',
     'name: []',
     'organization: [frtOrganization]',
     'phone: []',
     'phonetic: []',
     'telecom: []');
  TARGETS_TSearchParamsPatient : Array[TSearchParamsPatient] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtOrganization, frtPractitioner], [], [], [], [], [], [], [], [], [frtPatient], [], [frtOrganization], [], [], []);
  CODES_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'created', 'identifier', 'organization', 'paymentstatus', 'provider', 'request', 'response', 'statusdate');
  DESC_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Creation date fro the notice',
     'The business identifier of the notice',
     'The organization who generated this resource',
     'The type of payment notice',
     'The reference to the provider',
     'The Claim',
     'The ClaimResponse',
     'The date of the payment action');
  TYPES_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate);
//  CHECK_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of TSearchParamsPaymentNotice = ( spPaymentNotice__content,  spPaymentNotice__id,  spPaymentNotice__lastUpdated,  spPaymentNotice__profile,  spPaymentNotice__query,  spPaymentNotice__security, 
      //  spPaymentNotice__tag,  spPaymentNotice__text,  spPaymentNotice_Created,  spPaymentNotice_Identifier,  spPaymentNotice_Organization,  spPaymentNotice_Paymentstatus,  spPaymentNotice_Provider,  spPaymentNotice_Request,  spPaymentNotice_Response,  spPaymentNotice_Statusdate);
  PATHS_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'created: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'paymentstatus: []',
     'provider: [frtPractitioner]',
     'request: ALL_RESOURCE_TYPES',
     'response: ALL_RESOURCE_TYPES',
     'statusdate: []');
  TARGETS_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtOrganization], [], [frtPractitioner], ALL_RESOURCE_TYPES, ALL_RESOURCE_TYPES, []);
  CODES_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'created', 'disposition', 'identifier', 'organization', 'outcome', 'request', 'requestorganization', 'requestprovider');
  DESC_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The creation date',
     'The contents of the disposition message',
     'The business identifier of the Explanation of Benefit',
     'The organization who generated this resource',
     'The processing outcome',
     'The reference to the claim',
     'The organization who generated this resource',
     'The reference to the provider who sumbitted the claim');
  TYPES_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of TSearchParamsPaymentReconciliation = ( spPaymentReconciliation__content,  spPaymentReconciliation__id,  spPaymentReconciliation__lastUpdated,  spPaymentReconciliation__profile, 
      //  spPaymentReconciliation__query,  spPaymentReconciliation__security,  spPaymentReconciliation__tag,  spPaymentReconciliation__text,  spPaymentReconciliation_Created,  spPaymentReconciliation_Disposition,  spPaymentReconciliation_Identifier,  spPaymentReconciliation_Organization, 
      //  spPaymentReconciliation_Outcome,  spPaymentReconciliation_Request,  spPaymentReconciliation_Requestorganization,  spPaymentReconciliation_Requestprovider);
  PATHS_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'created: []',
     'disposition: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'outcome: []',
     'request: [frtProcessRequest]',
     'requestorganization: [frtOrganization]',
     'requestprovider: [frtPractitioner]');
  TARGETS_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [], [frtProcessRequest], [frtOrganization], [frtPractitioner]);
  CODES_TSearchParamsPerson : Array[TSearchParamsPerson] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'address', 'address-city', 'address-country', 'address-postalcode', 'address-state', 'address-use', 'birthdate', 'email', 'gender', 'identifier', 'link', 'name', 'organization', 'patient', 'phone', 'phonetic', 'practitioner', 'relatedperson', 'telecom');
  DESC_TSearchParamsPerson : Array[TSearchParamsPerson] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'An address in any kind of address/part',
     'A city specified in an address',
     'A country specified in an address',
     'A postal code specified in an address',
     'A state specified in an address',
     'A use code specified in an address',
     'The person''s date of birth',
     'A value in an email contact',
     'The gender of the person',
     'A person Identifier',
     'Any link has this Patient, Person, RelatedPerson or Practitioner reference',
     'A portion of name in any name part',
     'The organization at which this person record is being managed',
     'The Person links to this Patient',
     'A value in a phone contact',
     'A portion of name using some kind of phonetic matching algorithm',
     'The Person links to this Practitioner',
     'The Person links to this RelatedPerson',
     'The value in any kind of contact');
  TYPES_TSearchParamsPerson : Array[TSearchParamsPerson] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsPerson : Array[TSearchParamsPerson] of TSearchParamsPerson = ( spPerson__content,  spPerson__id,  spPerson__lastUpdated,  spPerson__profile,  spPerson__query,  spPerson__security,  spPerson__tag,  spPerson__text,  spPerson_Address, 
      //  spPerson_Address_city,  spPerson_Address_country,  spPerson_Address_postalcode,  spPerson_Address_state,  spPerson_Address_use,  spPerson_Birthdate,  spPerson_Email,  spPerson_Gender,  spPerson_Identifier,  spPerson_Link,  spPerson_Name,  spPerson_Organization, 
      //  spPerson_Patient,  spPerson_Phone,  spPerson_Phonetic,  spPerson_Practitioner,  spPerson_Relatedperson,  spPerson_Telecom);
  PATHS_TSearchParamsPerson : Array[TSearchParamsPerson] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'address: []',
     'address-city: []',
     'address-country: []',
     'address-postalcode: []',
     'address-state: []',
     'address-use: []',
     'birthdate: []',
     'email: []',
     'gender: []',
     'identifier: []',
     'link: [frtPatient, frtPractitioner, frtPerson, frtRelatedPerson]',
     'name: []',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'phone: []',
     'phonetic: []',
     'practitioner: [frtPractitioner]',
     'relatedperson: [frtRelatedPerson]',
     'telecom: []');
  TARGETS_TSearchParamsPerson : Array[TSearchParamsPerson] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtPatient, frtPractitioner, frtPerson, frtRelatedPerson], [], [frtOrganization], [frtPatient], [], [], [frtPractitioner], [frtRelatedPerson], []);
  CODES_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'address', 'address-city', 'address-country', 'address-postalcode', 'address-state', 'address-use', 'communication', 'email', 'family', 'gender', 'given', 'identifier', 'location', 'name', 'organization', 'phone', 'phonetic', 'role', 'specialty', 'telecom');
  DESC_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'An address in any kind of address/part',
     'A city specified in an address',
     'A country specified in an address',
     'A postalCode specified in an address',
     'A state specified in an address',
     'A use code specified in an address',
     'One of the languages that the practitioner can communicate with',
     'A value in an email contact',
     'A portion of the family name',
     'Gender of the practitioner',
     'A portion of the given name',
     'A practitioner''s Identifier',
     'One of the locations at which this practitioner provides care',
     'A portion of either family or given name',
     'The identity of the organization the practitioner represents / acts on behalf of',
     'A value in a phone contact',
     'A portion of either family or given name using some kind of phonetic matching algorithm',
     'The practitioner can perform this role at for the organization',
     'The practitioner has this specialty at an organization',
     'The value in any kind of contact');
  TYPES_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of TSearchParamsPractitioner = ( spPractitioner__content,  spPractitioner__id,  spPractitioner__lastUpdated,  spPractitioner__profile,  spPractitioner__query,  spPractitioner__security, 
      //  spPractitioner__tag,  spPractitioner__text,  spPractitioner_Address,  spPractitioner_Address_city,  spPractitioner_Address_country,  spPractitioner_Address_postalcode,  spPractitioner_Address_state,  spPractitioner_Address_use,  spPractitioner_Communication, 
      //  spPractitioner_Email,  spPractitioner_Family,  spPractitioner_Gender,  spPractitioner_Given,  spPractitioner_Identifier,  spPractitioner_Location,  spPractitioner_Name,  spPractitioner_Organization,  spPractitioner_Phone,  spPractitioner_Phonetic,  spPractitioner_Role, 
      //  spPractitioner_Specialty,  spPractitioner_Telecom);
  PATHS_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'address: []',
     'address-city: []',
     'address-country: []',
     'address-postalcode: []',
     'address-state: []',
     'address-use: []',
     'communication: []',
     'email: []',
     'family: []',
     'gender: []',
     'given: []',
     'identifier: []',
     'location: [frtLocation]',
     'name: []',
     'organization: [frtOrganization]',
     'phone: []',
     'phonetic: []',
     'role: []',
     'specialty: []',
     'telecom: []');
  TARGETS_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [], [], [], [], []);
  CODES_TSearchParamsProcedure : Array[TSearchParamsProcedure] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'date', 'encounter', 'identifier', 'location', 'patient', 'performer', 'subject');
  DESC_TSearchParamsProcedure : Array[TSearchParamsProcedure] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A code to identify a  procedure',
     'Date/Period the procedure was performed',
     'The encounter associated with the procedure',
     'A unique identifier for a procedure',
     'Where the procedure happened',
     'Search by subject - a patient',
     'The reference to the practitioner',
     'Search by subject');
  TYPES_TSearchParamsProcedure : Array[TSearchParamsProcedure] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsProcedure : Array[TSearchParamsProcedure] of TSearchParamsProcedure = ( spProcedure__content,  spProcedure__id,  spProcedure__lastUpdated,  spProcedure__profile,  spProcedure__query,  spProcedure__security,  spProcedure__tag,  spProcedure__text, 
      //  spProcedure_Code,  spProcedure_Date,  spProcedure_Encounter,  spProcedure_Identifier,  spProcedure_Location,  spProcedure_Patient,  spProcedure_Performer,  spProcedure_Subject);
  PATHS_TSearchParamsProcedure : Array[TSearchParamsProcedure] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'date: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'location: [frtLocation]',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'subject: [frtPatient, frtGroup]');
  TARGETS_TSearchParamsProcedure : Array[TSearchParamsProcedure] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtEncounter], [], [frtLocation], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient, frtGroup]);
  CODES_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'encounter', 'identifier', 'orderer', 'patient', 'performer', 'subject');
  DESC_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Encounter request created during',
     'A unique identifier of the Procedure Request',
     'Who made request',
     'Search by subject - a patient',
     'Who should perform the procedure',
     'Search by subject');
  TYPES_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of TSearchParamsProcedureRequest = ( spProcedureRequest__content,  spProcedureRequest__id,  spProcedureRequest__lastUpdated,  spProcedureRequest__profile,  spProcedureRequest__query, 
      //  spProcedureRequest__security,  spProcedureRequest__tag,  spProcedureRequest__text,  spProcedureRequest_Encounter,  spProcedureRequest_Identifier,  spProcedureRequest_Orderer,  spProcedureRequest_Patient,  spProcedureRequest_Performer,  spProcedureRequest_Subject);
  PATHS_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'orderer: [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson]',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'subject: [frtPatient, frtGroup]');
  TARGETS_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtEncounter], [], [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient, frtGroup]);
  CODES_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'action', 'identifier', 'organization', 'provider');
  DESC_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The action requested by this resource',
     'The business identifier of the ProcessRequest',
     'The organization who generated this request',
     'The provider who regenerated this request');
  TYPES_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of TSearchParamsProcessRequest = ( spProcessRequest__content,  spProcessRequest__id,  spProcessRequest__lastUpdated,  spProcessRequest__profile,  spProcessRequest__query,  spProcessRequest__security, 
      //  spProcessRequest__tag,  spProcessRequest__text,  spProcessRequest_Action,  spProcessRequest_Identifier,  spProcessRequest_Organization,  spProcessRequest_Provider);
  PATHS_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'action: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'provider: [frtPractitioner]');
  TARGETS_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtOrganization], [frtPractitioner]);
  CODES_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'identifier', 'organization', 'request', 'requestorganization', 'requestprovider');
  DESC_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The business identifier of the Explanation of Benefit',
     'The organization who generated this resource',
     'The reference to the claim',
     'The Organization who is responsible the request transaction',
     'The Provider who is responsible the request transaction');
  TYPES_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of TSearchParamsProcessResponse = ( spProcessResponse__content,  spProcessResponse__id,  spProcessResponse__lastUpdated,  spProcessResponse__profile,  spProcessResponse__query, 
      //  spProcessResponse__security,  spProcessResponse__tag,  spProcessResponse__text,  spProcessResponse_Identifier,  spProcessResponse_Organization,  spProcessResponse_Request,  spProcessResponse_Requestorganization,  spProcessResponse_Requestprovider);
  PATHS_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'request: ALL_RESOURCE_TYPES',
     'requestorganization: [frtOrganization]',
     'requestprovider: [frtPractitioner]');
  TARGETS_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtOrganization], ALL_RESOURCE_TYPES, [frtOrganization], [frtPractitioner]);
  CODES_TSearchParamsProvenance : Array[TSearchParamsProvenance] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'agent', 'end', 'entity', 'entitytype', 'location', 'patient', 'sigtype', 'start', 'target', 'userid');
  DESC_TSearchParamsProvenance : Array[TSearchParamsProvenance] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Individual, device or organization playing role',
     'End time with inclusive boundary, if not ongoing',
     'Identity of entity',
     'The type of resource in this entity',
     'Where the activity occurred, if relevant',
     'Target Reference(s) (usually version specific)',
     'Indication of the reason the entity signed the object(s)',
     'Starting time with inclusive boundary',
     'Target Reference(s) (usually version specific)',
     'Authorization-system identifier for the agent');
  TYPES_TSearchParamsProvenance : Array[TSearchParamsProvenance] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsProvenance : Array[TSearchParamsProvenance] of TSearchParamsProvenance = ( spProvenance__content,  spProvenance__id,  spProvenance__lastUpdated,  spProvenance__profile,  spProvenance__query,  spProvenance__security,  spProvenance__tag, 
      //  spProvenance__text,  spProvenance_Agent,  spProvenance_End,  spProvenance_Entity,  spProvenance_Entitytype,  spProvenance_Location,  spProvenance_Patient,  spProvenance_Sigtype,  spProvenance_Start,  spProvenance_Target,  spProvenance_Userid);
  PATHS_TSearchParamsProvenance : Array[TSearchParamsProvenance] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'agent: [frtDevice, frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson]',
     'end: []',
     'entity: []',
     'entitytype: []',
     'location: [frtLocation]',
     'patient: [frtPatient]',
     'sigtype: []',
     'start: []',
     'target: ALL_RESOURCE_TYPES',
     'userid: []');
  TARGETS_TSearchParamsProvenance : Array[TSearchParamsProvenance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson], [], [], [], [frtLocation], [frtPatient], [], [], ALL_RESOURCE_TYPES, []);
  CODES_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'date', 'identifier', 'publisher', 'status', 'title', 'version');
  DESC_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A code that corresponds to the questionnaire or one of its groups',
     'When the questionnaire was last changed',
     'An identifier for the questionnaire',
     'The author of the questionnaire',
     'The status of the questionnaire',
     'All or part of the name of the questionnaire',
     'The business version of the questionnaire');
  TYPES_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString);
//  CHECK_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of TSearchParamsQuestionnaire = ( spQuestionnaire__content,  spQuestionnaire__id,  spQuestionnaire__lastUpdated,  spQuestionnaire__profile,  spQuestionnaire__query,  spQuestionnaire__security, 
      //  spQuestionnaire__tag,  spQuestionnaire__text,  spQuestionnaire_Code,  spQuestionnaire_Date,  spQuestionnaire_Identifier,  spQuestionnaire_Publisher,  spQuestionnaire_Status,  spQuestionnaire_Title,  spQuestionnaire_Version);
  PATHS_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'date: []',
     'identifier: []',
     'publisher: []',
     'status: []',
     'title: []',
     'version: []');
  TARGETS_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsQuestionnaireResponse : Array[TSearchParamsQuestionnaireResponse] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'author', 'authored', 'encounter', 'patient', 'questionnaire', 'source', 'status', 'subject');
  DESC_TSearchParamsQuestionnaireResponse : Array[TSearchParamsQuestionnaireResponse] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The author of the questionnaire',
     'When the questionnaire was authored',
     'Encounter during which questionnaire was authored',
     'The patient that is the subject of the questionnaire',
     'The questionnaire the answers are provided for',
     'The person who answered the questions',
     'The status of the questionnaire response',
     'The subject of the questionnaire');
  TYPES_TSearchParamsQuestionnaireResponse : Array[TSearchParamsQuestionnaireResponse] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsQuestionnaireResponse : Array[TSearchParamsQuestionnaireResponse] of TSearchParamsQuestionnaireResponse = ( spQuestionnaireResponse__content,  spQuestionnaireResponse__id,  spQuestionnaireResponse__lastUpdated,  spQuestionnaireResponse__profile, 
      //  spQuestionnaireResponse__query,  spQuestionnaireResponse__security,  spQuestionnaireResponse__tag,  spQuestionnaireResponse__text,  spQuestionnaireResponse_Author,  spQuestionnaireResponse_Authored,  spQuestionnaireResponse_Encounter,  spQuestionnaireResponse_Patient, 
      //  spQuestionnaireResponse_Questionnaire,  spQuestionnaireResponse_Source,  spQuestionnaireResponse_Status,  spQuestionnaireResponse_Subject);
  PATHS_TSearchParamsQuestionnaireResponse : Array[TSearchParamsQuestionnaireResponse] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'author: [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson]',
     'authored: []',
     'encounter: [frtEncounter]',
     'patient: [frtPatient]',
     'questionnaire: [frtQuestionnaire]',
     'source: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'status: []',
     'subject: ALL_RESOURCE_TYPES');
  TARGETS_TSearchParamsQuestionnaireResponse : Array[TSearchParamsQuestionnaireResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson], [], [frtEncounter], [frtPatient], [frtQuestionnaire], [frtPatient, frtPractitioner, frtRelatedPerson], [], ALL_RESOURCE_TYPES);
  CODES_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'date', 'patient', 'priority', 'recipient', 'requester', 'specialty', 'status', 'type');
  DESC_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Creation or activation date',
     'Who the referral is about',
     'The priority assigned to the referral',
     'The person that the referral was sent to',
     'Requester of referral / transfer of care',
     'The specialty that the referral is for',
     'The status of the referral',
     'The type of the referral');
  TYPES_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of TSearchParamsReferralRequest = ( spReferralRequest__content,  spReferralRequest__id,  spReferralRequest__lastUpdated,  spReferralRequest__profile,  spReferralRequest__query, 
      //  spReferralRequest__security,  spReferralRequest__tag,  spReferralRequest__text,  spReferralRequest_Date,  spReferralRequest_Patient,  spReferralRequest_Priority,  spReferralRequest_Recipient,  spReferralRequest_Requester,  spReferralRequest_Specialty, 
      //  spReferralRequest_Status,  spReferralRequest_Type);
  PATHS_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'date: []',
     'patient: [frtPatient]',
     'priority: []',
     'recipient: [frtOrganization, frtPractitioner]',
     'requester: [frtPatient, frtOrganization, frtPractitioner]',
     'specialty: []',
     'status: []',
     'type: []');
  TARGETS_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtPatient], [], [frtOrganization, frtPractitioner], [frtPatient, frtOrganization, frtPractitioner], [], [], []);
  CODES_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'address', 'address-city', 'address-country', 'address-postalcode', 'address-state', 'address-use', 'birthdate', 'email', 'gender', 'identifier', 'name', 'patient', 'phone', 'phonetic', 'telecom');
  DESC_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'An address in any kind of address/part',
     'A city specified in an address',
     'A country specified in an address',
     'A postal code specified in an address',
     'A state specified in an address',
     'A use code specified in an address',
     'The Related Person''s date of birth',
     'A value in an email contact',
     'Gender of the person',
     'A patient Identifier',
     'A portion of name in any name part',
     'The patient this person is related to',
     'A value in a phone contact',
     'A portion of name using some kind of phonetic matching algorithm',
     'The value in any kind of contact');
  TYPES_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of TSearchParamsRelatedPerson = ( spRelatedPerson__content,  spRelatedPerson__id,  spRelatedPerson__lastUpdated,  spRelatedPerson__profile,  spRelatedPerson__query,  spRelatedPerson__security, 
      //  spRelatedPerson__tag,  spRelatedPerson__text,  spRelatedPerson_Address,  spRelatedPerson_Address_city,  spRelatedPerson_Address_country,  spRelatedPerson_Address_postalcode,  spRelatedPerson_Address_state,  spRelatedPerson_Address_use,  spRelatedPerson_Birthdate, 
      //  spRelatedPerson_Email,  spRelatedPerson_Gender,  spRelatedPerson_Identifier,  spRelatedPerson_Name,  spRelatedPerson_Patient,  spRelatedPerson_Phone,  spRelatedPerson_Phonetic,  spRelatedPerson_Telecom);
  PATHS_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'address: []',
     'address-city: []',
     'address-country: []',
     'address-postalcode: []',
     'address-state: []',
     'address-use: []',
     'birthdate: []',
     'email: []',
     'gender: []',
     'identifier: []',
     'name: []',
     'patient: [frtPatient]',
     'phone: []',
     'phonetic: []',
     'telecom: []');
  TARGETS_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtPatient], [], [], []);
  CODES_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'condition', 'date', 'encounter', 'identifier', 'method', 'patient', 'performer', 'subject');
  DESC_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Condition assessed',
     'When was assessment made?',
     'Where was assessment performed?',
     'Unique identifier for the assessment',
     'Evaluation mechanism',
     'Who/what does assessment apply to?',
     'Who did assessment?',
     'Who/what does assessment apply to?');
  TYPES_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of TSearchParamsRiskAssessment = ( spRiskAssessment__content,  spRiskAssessment__id,  spRiskAssessment__lastUpdated,  spRiskAssessment__profile,  spRiskAssessment__query,  spRiskAssessment__security, 
      //  spRiskAssessment__tag,  spRiskAssessment__text,  spRiskAssessment_Condition,  spRiskAssessment_Date,  spRiskAssessment_Encounter,  spRiskAssessment_Identifier,  spRiskAssessment_Method,  spRiskAssessment_Patient,  spRiskAssessment_Performer,  spRiskAssessment_Subject);
  PATHS_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'condition: [frtCondition]',
     'date: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'method: []',
     'patient: [frtPatient]',
     'performer: [frtDevice, frtPractitioner]',
     'subject: [frtPatient, frtGroup]');
  TARGETS_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtCondition], [], [frtEncounter], [], [], [frtPatient], [frtDevice, frtPractitioner], [frtPatient, frtGroup]);
  CODES_TSearchParamsSchedule : Array[TSearchParamsSchedule] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'actor', 'date', 'identifier', 'type');
  DESC_TSearchParamsSchedule : Array[TSearchParamsSchedule] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The individual(HealthcareService, Practitioner, Location, ...) to find a Schedule for',
     'Search for Schedule resources that have a period that contains this date specified',
     'A Schedule Identifier',
     'The type of appointments that can be booked into associated slot(s)');
  TYPES_TSearchParamsSchedule : Array[TSearchParamsSchedule] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsSchedule : Array[TSearchParamsSchedule] of TSearchParamsSchedule = ( spSchedule__content,  spSchedule__id,  spSchedule__lastUpdated,  spSchedule__profile,  spSchedule__query,  spSchedule__security,  spSchedule__tag,  spSchedule__text, 
      //  spSchedule_Actor,  spSchedule_Date,  spSchedule_Identifier,  spSchedule_Type);
  PATHS_TSearchParamsSchedule : Array[TSearchParamsSchedule] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'actor: [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson]',
     'date: []',
     'identifier: []',
     'type: []');
  TARGETS_TSearchParamsSchedule : Array[TSearchParamsSchedule] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson], [], [], []);
  CODES_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'base', 'code', 'description', 'name', 'target', 'type', 'url');
  DESC_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The resource type this search parameter applies to',
     'Code used in URL',
     'Documentation for  search parameter',
     'Informal name for this search parameter',
     'Types of resource (if a resource reference)',
     'number | date | string | token | reference | composite | quantity | uri',
     'Absolute URL used to reference this search parameter');
  TYPES_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri);
//  CHECK_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of TSearchParamsSearchParameter = ( spSearchParameter__content,  spSearchParameter__id,  spSearchParameter__lastUpdated,  spSearchParameter__profile,  spSearchParameter__query, 
      //  spSearchParameter__security,  spSearchParameter__tag,  spSearchParameter__text,  spSearchParameter_Base,  spSearchParameter_Code,  spSearchParameter_Description,  spSearchParameter_Name,  spSearchParameter_Target,  spSearchParameter_Type,  spSearchParameter_Url);
  PATHS_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'base: []',
     'code: []',
     'description: []',
     'name: []',
     'target: []',
     'type: []',
     'url: []');
  TARGETS_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsSequence : Array[TSearchParamsSequence] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'chromosome', 'coordinate', 'end', 'species', 'start', 'type', 'variationid');
  DESC_TSearchParamsSequence : Array[TSearchParamsSequence] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Chromosome of the sequence',
     'Genomic coordinate of the sequence. For example, a search for sequence in region 1:123-345 can be represented as `coordinate=1$lt345$gt123`',
     'End position (0-based exclusive) of the sequence',
     'The organism from which sample of the sequence was extracted.',
     'Start position (0-based inclusive) of the sequence',
     'The type of the variant: Amino acid / cDNA transcript / RNA variation.',
     'Identifier for variant');
  TYPES_TSearchParamsSequence : Array[TSearchParamsSequence] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeNumber,  SearchParamTypeToken,  SearchParamTypeNumber,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsSequence : Array[TSearchParamsSequence] of TSearchParamsSequence = ( spSequence__content,  spSequence__id,  spSequence__lastUpdated,  spSequence__profile,  spSequence__query,  spSequence__security,  spSequence__tag,  spSequence__text, 
      //  spSequence_Chromosome,  spSequence_Coordinate,  spSequence_End,  spSequence_Species,  spSequence_Start,  spSequence_Type,  spSequence_Variationid);
  PATHS_TSearchParamsSequence : Array[TSearchParamsSequence] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'chromosome: []',
     'coordinate: []',
     'end: []',
     'species: []',
     'start: []',
     'type: []',
     'variationid: []');
  TARGETS_TSearchParamsSequence : Array[TSearchParamsSequence] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsSlot : Array[TSearchParamsSlot] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'fb-type', 'identifier', 'schedule', 'slot-type', 'start');
  DESC_TSearchParamsSlot : Array[TSearchParamsSlot] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The free/busy status of the appointment',
     'A Slot Identifier',
     'The Schedule Resource that we are seeking a slot within',
     'The type of appointments that can be booked into the slot',
     'Appointment date/time.');
  TYPES_TSearchParamsSlot : Array[TSearchParamsSlot] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate);
//  CHECK_TSearchParamsSlot : Array[TSearchParamsSlot] of TSearchParamsSlot = ( spSlot__content,  spSlot__id,  spSlot__lastUpdated,  spSlot__profile,  spSlot__query,  spSlot__security,  spSlot__tag,  spSlot__text,  spSlot_Fb_type,  spSlot_Identifier, 
      //  spSlot_Schedule,  spSlot_Slot_type,  spSlot_Start);
  PATHS_TSearchParamsSlot : Array[TSearchParamsSlot] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'fb-type: []',
     'identifier: []',
     'schedule: [frtSchedule]',
     'slot-type: []',
     'start: []');
  TARGETS_TSearchParamsSlot : Array[TSearchParamsSlot] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtSchedule], [], []);
  CODES_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'accession', 'bodysite', 'collected', 'collector', 'container', 'container-id', 'identifier', 'parent', 'patient', 'subject', 'type');
  DESC_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The accession number associated with the specimen',
     'The code for the body site from where the specimen originated',
     'The date the specimen was collected',
     'Who collected the specimen',
     'The kind of specimen container',
     'The unique identifier associated with the specimen container',
     'The unique identifier associated with the specimen',
     'The parent of the specimen',
     'The patient the specimen comes from',
     'The subject of the specimen',
     'The specimen type');
  TYPES_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of TSearchParamsSpecimen = ( spSpecimen__content,  spSpecimen__id,  spSpecimen__lastUpdated,  spSpecimen__profile,  spSpecimen__query,  spSpecimen__security,  spSpecimen__tag,  spSpecimen__text, 
      //  spSpecimen_Accession,  spSpecimen_Bodysite,  spSpecimen_Collected,  spSpecimen_Collector,  spSpecimen_Container,  spSpecimen_Container_id,  spSpecimen_Identifier,  spSpecimen_Parent,  spSpecimen_Patient,  spSpecimen_Subject,  spSpecimen_Type);
  PATHS_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'accession: []',
     'bodysite: []',
     'collected: []',
     'collector: [frtPractitioner]',
     'container: []',
     'container-id: []',
     'identifier: []',
     'parent: [frtSpecimen]',
     'patient: [frtPatient]',
     'subject: [frtDevice, frtPatient, frtSubstance, frtGroup]',
     'type: []');
  TARGETS_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtPractitioner], [], [], [], [frtSpecimen], [frtPatient], [frtDevice, frtPatient, frtSubstance, frtGroup], []);
  CODES_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'abstract', 'base', 'base-path', 'code', 'context', 'context-type', 'date', 'description', 'display', 'experimental', 'ext-context', 'identifier', 'kind', 'name', 'path', 'publisher', 'status', 'type', 'url', 'valueset', 'version');
  DESC_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Whether the structure is abstract',
     'Structure that this set of constraints applies to',
     'Path that identifies the base element',
     'A code for the profile',
     'A use context assigned to the structure',
     'resource | datatype | mapping | extension',
     'The profile publication date',
     'Text search in the description of the profile',
     'Use this name when displaying the value',
     'If for testing purposes, not real usage',
     'Where the extension can be used in instances',
     'The identifier of the profile',
     'datatype | resource | logical',
     'Name of the profile',
     'A path that is constrained in the profile',
     'Name of the publisher of the profile',
     'The current status of the profile',
     'Any datatype or resource, including abstract ones',
     'Absolute URL used to reference this StructureDefinition',
     'A vocabulary binding reference',
     'The version identifier of the profile');
  TYPES_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of TSearchParamsStructureDefinition = ( spStructureDefinition__content,  spStructureDefinition__id,  spStructureDefinition__lastUpdated,  spStructureDefinition__profile, 
      //  spStructureDefinition__query,  spStructureDefinition__security,  spStructureDefinition__tag,  spStructureDefinition__text,  spStructureDefinition_Abstract,  spStructureDefinition_Base,  spStructureDefinition_Base_path,  spStructureDefinition_Code,  spStructureDefinition_Context, 
      //  spStructureDefinition_Context_type,  spStructureDefinition_Date,  spStructureDefinition_Description,  spStructureDefinition_Display,  spStructureDefinition_Experimental,  spStructureDefinition_Ext_context,  spStructureDefinition_Identifier,  spStructureDefinition_Kind, 
      //  spStructureDefinition_Name,  spStructureDefinition_Path,  spStructureDefinition_Publisher,  spStructureDefinition_Status,  spStructureDefinition_Type,  spStructureDefinition_Url,  spStructureDefinition_Valueset,  spStructureDefinition_Version);
  PATHS_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'abstract: []',
     'base: []',
     'base-path: []',
     'code: []',
     'context: []',
     'context-type: []',
     'date: []',
     'description: []',
     'display: []',
     'experimental: []',
     'ext-context: []',
     'identifier: []',
     'kind: []',
     'name: []',
     'path: []',
     'publisher: []',
     'status: []',
     'type: []',
     'url: []',
     'valueset: [frtValueSet]',
     'version: []');
  TARGETS_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtValueSet], []);
  CODES_TSearchParamsSubscription : Array[TSearchParamsSubscription] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'contact', 'criteria', 'payload', 'status', 'tag', 'type', 'url');
  DESC_TSearchParamsSubscription : Array[TSearchParamsSubscription] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Contact details for source (e.g. troubleshooting)',
     'Rule for server push criteria',
     'Mimetype to send, or blank for no payload',
     'requested | active | error | off',
     'A tag to add to matching resources',
     'rest-hook | websocket | email | sms | message',
     'Where the channel points to');
  TYPES_TSearchParamsSubscription : Array[TSearchParamsSubscription] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri);
//  CHECK_TSearchParamsSubscription : Array[TSearchParamsSubscription] of TSearchParamsSubscription = ( spSubscription__content,  spSubscription__id,  spSubscription__lastUpdated,  spSubscription__profile,  spSubscription__query,  spSubscription__security, 
      //  spSubscription__tag,  spSubscription__text,  spSubscription_Contact,  spSubscription_Criteria,  spSubscription_Payload,  spSubscription_Status,  spSubscription_Tag,  spSubscription_Type,  spSubscription_Url);
  PATHS_TSearchParamsSubscription : Array[TSearchParamsSubscription] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'contact: []',
     'criteria: []',
     'payload: []',
     'status: []',
     'tag: []',
     'type: []',
     'url: []');
  TARGETS_TSearchParamsSubscription : Array[TSearchParamsSubscription] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsSubstance : Array[TSearchParamsSubstance] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'category', 'code', 'container-identifier', 'expiry', 'identifier', 'quantity', 'substance');
  DESC_TSearchParamsSubstance : Array[TSearchParamsSubstance] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'The category of the substance',
     'The code of the substance',
     'Identifier of the package/container',
     'Expiry date of package or container of substance',
     'Unique identifier for the substance',
     'Amount of substance in the package',
     'A component of the substance');
  TYPES_TSearchParamsSubstance : Array[TSearchParamsSubstance] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeQuantity,  SearchParamTypeReference);
//  CHECK_TSearchParamsSubstance : Array[TSearchParamsSubstance] of TSearchParamsSubstance = ( spSubstance__content,  spSubstance__id,  spSubstance__lastUpdated,  spSubstance__profile,  spSubstance__query,  spSubstance__security,  spSubstance__tag,  spSubstance__text, 
      //  spSubstance_Category,  spSubstance_Code,  spSubstance_Container_identifier,  spSubstance_Expiry,  spSubstance_Identifier,  spSubstance_Quantity,  spSubstance_Substance);
  PATHS_TSearchParamsSubstance : Array[TSearchParamsSubstance] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'category: []',
     'code: []',
     'container-identifier: []',
     'expiry: []',
     'identifier: []',
     'quantity: []',
     'substance: [frtSubstance]');
  TARGETS_TSearchParamsSubstance : Array[TSearchParamsSubstance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtSubstance]);
  CODES_TSearchParamsSupplyDelivery : Array[TSearchParamsSupplyDelivery] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'identifier', 'patient', 'receiver', 'status', 'supplier');
  DESC_TSearchParamsSupplyDelivery : Array[TSearchParamsSupplyDelivery] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'External identifier',
     'Patient for whom the item is supplied',
     'Who collected the Supply',
     'in-progress | completed | abandoned',
     'Dispenser');
  TYPES_TSearchParamsSupplyDelivery : Array[TSearchParamsSupplyDelivery] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsSupplyDelivery : Array[TSearchParamsSupplyDelivery] of TSearchParamsSupplyDelivery = ( spSupplyDelivery__content,  spSupplyDelivery__id,  spSupplyDelivery__lastUpdated,  spSupplyDelivery__profile,  spSupplyDelivery__query,  spSupplyDelivery__security, 
      //  spSupplyDelivery__tag,  spSupplyDelivery__text,  spSupplyDelivery_Identifier,  spSupplyDelivery_Patient,  spSupplyDelivery_Receiver,  spSupplyDelivery_Status,  spSupplyDelivery_Supplier);
  PATHS_TSearchParamsSupplyDelivery : Array[TSearchParamsSupplyDelivery] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'identifier: []',
     'patient: [frtPatient]',
     'receiver: [frtPractitioner]',
     'status: []',
     'supplier: [frtPractitioner]');
  TARGETS_TSearchParamsSupplyDelivery : Array[TSearchParamsSupplyDelivery] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtPatient], [frtPractitioner], [], [frtPractitioner]);
  CODES_TSearchParamsSupplyRequest : Array[TSearchParamsSupplyRequest] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'date', 'identifier', 'kind', 'patient', 'source', 'status', 'supplier');
  DESC_TSearchParamsSupplyRequest : Array[TSearchParamsSupplyRequest] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'When the request was made',
     'Unique identifier',
     'The kind of supply (central, non-stock, etc.)',
     'Patient for whom the item is supplied',
     'Who initiated this order',
     'requested | completed | failed | cancelled',
     'Who is intended to fulfill the request');
  TYPES_TSearchParamsSupplyRequest : Array[TSearchParamsSupplyRequest] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsSupplyRequest : Array[TSearchParamsSupplyRequest] of TSearchParamsSupplyRequest = ( spSupplyRequest__content,  spSupplyRequest__id,  spSupplyRequest__lastUpdated,  spSupplyRequest__profile,  spSupplyRequest__query,  spSupplyRequest__security, 
      //  spSupplyRequest__tag,  spSupplyRequest__text,  spSupplyRequest_Date,  spSupplyRequest_Identifier,  spSupplyRequest_Kind,  spSupplyRequest_Patient,  spSupplyRequest_Source,  spSupplyRequest_Status,  spSupplyRequest_Supplier);
  PATHS_TSearchParamsSupplyRequest : Array[TSearchParamsSupplyRequest] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'date: []',
     'identifier: []',
     'kind: []',
     'patient: [frtPatient]',
     'source: [frtPatient, frtOrganization, frtPractitioner]',
     'status: []',
     'supplier: [frtOrganization]');
  TARGETS_TSearchParamsSupplyRequest : Array[TSearchParamsSupplyRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtPatient], [frtPatient, frtOrganization, frtPractitioner], [], [frtOrganization]);
  CODES_TSearchParamsTestScript : Array[TSearchParamsTestScript] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'description', 'identifier', 'name', 'testscript-capability', 'testscript-setup-capability', 'testscript-test-capability', 'url');
  DESC_TSearchParamsTestScript : Array[TSearchParamsTestScript] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Natural language description of the TestScript',
     'External identifier',
     'Informal name for this TestScript',
     'TestScript required and validated capability',
     'TestScript setup required and validated capability',
     'TestScript test required and validated capability',
     'Absolute URL used to reference this TestScript');
  TYPES_TSearchParamsTestScript : Array[TSearchParamsTestScript] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeUri);
//  CHECK_TSearchParamsTestScript : Array[TSearchParamsTestScript] of TSearchParamsTestScript = ( spTestScript__content,  spTestScript__id,  spTestScript__lastUpdated,  spTestScript__profile,  spTestScript__query,  spTestScript__security,  spTestScript__tag, 
      //  spTestScript__text,  spTestScript_Description,  spTestScript_Identifier,  spTestScript_Name,  spTestScript_Testscript_capability,  spTestScript_Testscript_setup_capability,  spTestScript_Testscript_test_capability,  spTestScript_Url);
  PATHS_TSearchParamsTestScript : Array[TSearchParamsTestScript] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'description: []',
     'identifier: []',
     'name: []',
     'testscript-capability: []',
     'testscript-setup-capability: []',
     'testscript-test-capability: []',
     'url: []');
  TARGETS_TSearchParamsTestScript : Array[TSearchParamsTestScript] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsValueSet : Array[TSearchParamsValueSet] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'code', 'context', 'date', 'description', 'expansion', 'identifier', 'name', 'publisher', 'reference', 'status', 'system', 'url', 'version');
  DESC_TSearchParamsValueSet : Array[TSearchParamsValueSet] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'A code defined in the value set',
     'A use context assigned to the value set',
     'The value set publication date',
     'Text search in the description of the value set',
     'Uniquely identifies this expansion',
     'The identifier for the value set',
     'The name of the value set',
     'Name of the publisher of the value set',
     'A code system included or excluded in the value set or an imported value set',
     'The status of the value set',
     'The system for any codes defined by this value set',
     'The logical URL for the value set',
     'The version identifier of the value set');
  TYPES_TSearchParamsValueSet : Array[TSearchParamsValueSet] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeUri, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsValueSet : Array[TSearchParamsValueSet] of TSearchParamsValueSet = ( spValueSet__content,  spValueSet__id,  spValueSet__lastUpdated,  spValueSet__profile,  spValueSet__query,  spValueSet__security,  spValueSet__tag,  spValueSet__text, 
      //  spValueSet_Code,  spValueSet_Context,  spValueSet_Date,  spValueSet_Description,  spValueSet_Expansion,  spValueSet_Identifier,  spValueSet_Name,  spValueSet_Publisher,  spValueSet_Reference,  spValueSet_Status,  spValueSet_System,  spValueSet_Url,  spValueSet_Version);
  PATHS_TSearchParamsValueSet : Array[TSearchParamsValueSet] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'code: []',
     'context: []',
     'date: []',
     'description: []',
     'expansion: []',
     'identifier: []',
     'name: []',
     'publisher: []',
     'reference: []',
     'status: []',
     'system: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsValueSet : Array[TSearchParamsValueSet] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of String = ('_content', '_id', '_lastUpdated', '_profile', '_query', '_security', '_tag', '_text', 'datewritten', 'encounter', 'identifier', 'patient', 'prescriber');
  DESC_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of String = ('Search on the entire content of the resource',
     'Logical id of this artifact',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'A custom search profile that describes a specific defined query operation',
     'Security Labels applied to this resource',
     'Tags applied to this resource',
     'Search on the narrative of the resource',
     'Return prescriptions written on this date',
     'Return prescriptions with this encounter identifier',
     'Return prescriptions with this external identifier',
     'The identity of a patient to list dispenses for',
     'Who authorizes the vision product');
  TYPES_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of TFhirSearchParamType = ( SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of TSearchParamsVisionPrescription = ( spVisionPrescription__content,  spVisionPrescription__id,  spVisionPrescription__lastUpdated,  spVisionPrescription__profile,  spVisionPrescription__query, 
      //  spVisionPrescription__security,  spVisionPrescription__tag,  spVisionPrescription__text,  spVisionPrescription_Datewritten,  spVisionPrescription_Encounter,  spVisionPrescription_Identifier,  spVisionPrescription_Patient,  spVisionPrescription_Prescriber);
  PATHS_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of String = ('_content: []',
     '_id: []',
     '_lastUpdated: []',
     '_profile: []',
     '_query: []',
     '_security: []',
     '_tag: []',
     '_text: []',
     'datewritten: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'patient: [frtPatient]',
     'prescriber: [frtPractitioner]');
  TARGETS_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtEncounter], [], [frtPatient], [frtPractitioner]);
  FHIR_GENERATED_VERSION = '1.2.0';

  FHIR_GENERATED_REVISION = '7447';

  FHIR_GENERATED_DATE = '20151211173840';



implementation

end.

